org.apache.ignite

## Class IgniteSystemProperties

- java.lang.Object
- - org.apache.ignite.IgniteSystemProperties

-     public final class IgniteSystemProperties
      extends Object

  Contains constants for all system properties and environmental variables in Ignite. These properties and variables can be used to affect the behavior of Ignite.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHECKPOINT_PARALLEL_SORT_THRESHOLD` Starting from this number of dirty pages in checkpoint, array will be sorted with `Arrays.parallelSort(Comparable[])` in case of `CheckpointWriteOrder.SEQUENTIAL`.
    `static String` | `CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL` Time interval that indicates that client reconnect throttle must be reset to zero. 2 minutes by default.
    `static String` | `IGNITE_AFFINITY_BACKUPS_THRESHOLD` Size threshold to allocate and retain additional HashMap to improve contains() which leads to extra memory consumption.
    `static String` | `IGNITE_AFFINITY_HISTORY_SIZE` Maximum size for affinity assignment history.
    `static String` | `IGNITE_ALLOW_DML_INSIDE_TRANSACTION` When set to `true`, Ignite will allow execute DML operation (MERGE|INSERT|UPDATE|DELETE) within transaction for non MVCC mode.
    `static String` | `IGNITE_ALLOW_MIXED_CACHE_GROUPS` Flag indicating whether atomic and transactional caches are allowed inside the same cache group.
    `static String` | `IGNITE_ALLOW_START_CACHES_IN_PARALLEL` Enables start caches in parallel.
    `static String` | `IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE` Maximum size for atomic cache queue delete history (default is 200 000 entries per partition).
    `static String` | `IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT` Atomic cache deferred update timeout.
    `static String` | `IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE` Atomic cache deferred update response buffer size.
    `static String` | `IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT` Atomic cache deferred update timeout.
    `static String` | `IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL` Interval between logging of time of next auto-adjust.
    `static String` | `IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES` Deprecated. Should be removed in Apache Ignite 2.0.
    `static String` | `IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2` Manages type of serialization mechanism for `String` that is marshalled/unmarshalled by BinaryMarshaller.
    `static String` | `IGNITE_BINARY_SORT_OBJECT_FIELDS` When set to `true` fields are written by BinaryMarshaller in sorted order.
    `static String` | `IGNITE_BPLUS_TREE_DISABLE_METRICS` Disables secondary indexes B+Tree metrics.
    `static String` | `IGNITE_BPLUS_TREE_LOCK_RETRIES` Number of repetitions to capture a lock in the B+Tree.
    `static String` | `IGNITE_CACHE_CLIENT` Property controlling default behavior of cache client flag.
    `static String` | `IGNITE_CACHE_KEY_VALIDATION_DISABLED` Deprecated. Since 2.10 Obsolete because of common use of binary marshaller.
    `static String` | `IGNITE_CACHE_REMOVED_ENTRIES_TTL` Ttl of removed cache entries (ms).
    `static String` | `IGNITE_CACHE_RETRIES_COUNT` Number of cache operation retries in case of topology exceptions.
    `static String` | `IGNITE_CACHE_START_SIZE` Cache start size for on-heap maps.
    `static String` | `IGNITE_CALCITE_EXEC_IN_BUFFER_SIZE` Calcite-based SQL engine.
    `static String` | `IGNITE_CALCITE_EXEC_IO_BATCH_CNT` Calcite-based SQL engine.
    `static String` | `IGNITE_CALCITE_EXEC_IO_BATCH_SIZE` Calcite-based SQL engine.
    `static String` | `IGNITE_CALCITE_EXEC_MODIFY_BATCH_SIZE` Calcite-based SQL engine.
    `static String` | `IGNITE_CALCITE_REL_JSON_PRETTY_PRINT` Calcite-based SQL engine.
    `static String` | `IGNITE_CHECKPOINT_MAP_SNAPSHOT_THRESHOLD` Threshold of the checkpoint quantity since the last earliest checkpoint map snapshot.
    `static String` | `IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT` Timeout for checkpoint read lock acquisition in milliseconds.
    `static String` | `IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE` Property for setup percentage of archive size for checkpoint trigger.
    `static String` | `IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT` When client cache is started or closed special discovery message is sent to notify cluster (for example this is needed for `ClusterGroup.forCacheNodes(String)` API.
    `static String` | `IGNITE_CLUSTER_NAME` Ignite cluster name.
    `static String` | `IGNITE_CONFIG_URL` System property to hold optional configuration URL.
    `static String` | `IGNITE_CONFIGURATION_VIEW_PACKAGES` Comma separated packages list to expose in configuration view.
    `static String` | `IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT` When set to `true`, for consistent id will calculate by host name, without port, and you can use only one node for host in cluster.
    `static String` | `IGNITE_CONSOLE_APPENDER` If this property is set to `true` (default) and Ignite is launched in verbose mode (see `IGNITE_QUIET`) and no console appenders can be found in configuration, then default console appender will be added.
    `static String` | `IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID` When set to `true`, Data store folders are generated only by consistent id, and no consistent ID will be set based on existing data store folders.
    `static String` | `IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD` Tasks stealing will be started if tasks queue size per data-streamer thread exceeds this threshold.
    `static String` | `IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE` Sets default `storage page size`.
    `static String` | `IGNITE_DEFAULT_DISK_PAGE_COMPRESSION` Sets default `disk page compression`.
    `static String` | `IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE` One phase commit deferred ack request buffer size.
    `static String` | `IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT` One phase commit deferred ack request timeout.
    `static String` | `IGNITE_DEFRAGMENTATION_REGION_SIZE_PERCENTAGE` Defragmentation region size percentage of configured region size.
    `static String` | `IGNITE_DELAYED_REPLACED_PAGE_WRITE` When set to `true` (default), pages are written to page store without holding segment lock (with delay).
    `static String` | `IGNITE_DEP_MODE_OVERRIDE` System property to override deployment mode configuration parameter.
    `static String` | `IGNITE_DEV_ONLY_LOGGING_DISABLED` When set to `true`, warnings that are intended for development environments and not for production (such as coding mistakes in code using Ignite) will not be logged.
    `static String` | `IGNITE_DIAGNOSTIC_ENABLED`
    `static String` | `IGNITE_DIAGNOSTIC_WARN_LIMIT` Maximum number of diagnostic warning messages per category, when waiting for PME.
    `static String` | `IGNITE_DIRECT_IO_ENABLED` When set to `true`, direct IO may be enabled.
    `static String` | `IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION` Flag to disable memory optimization: BitSets instead of HashSets to store partitions.
    `static String` | `IGNITE_DISABLE_GRP_STATE_LAZY_STORE` Disable group state lazy store.
    `static String` | `IGNITE_DISABLE_HOSTNAME_VERIFIER` System property to disable `HostnameVerifier` for SSL connections.
    `static String` | `IGNITE_DISABLE_ONHEAP_CACHE` When set to `true`, on-heap cache cannot be enabled - see `CacheConfiguration.setOnheapCacheEnabled(boolean)`.
    `static String` | `IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION` When property is set `false` each next exchange will try to compare with previous.
    `static String` | `IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT` Disables cache interceptor triggering in case of conflicts.
    `static String` | `IGNITE_DISABLE_WAL_DURING_REBALANCING` When set to `false`, WAL will not be automatically disabled during rebalancing if there is no partition in OWNING state.
    `static String` | `IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY` Defines reconnect delay in milliseconds for client node that was failed forcible.
    `static String` | `IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE` Maximum number of discovery message history used to support client reconnect.
    `static String` | `IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE` When set to `true`, cache metrics are not included into the discovery metrics update message (in this case message contains only cluster metrics).
    `static String` | `IGNITE_DISCOVERY_HISTORY_SIZE` Maximum size for discovery messages history.
    `static String` | `IGNITE_DISCOVERY_METRICS_QNT_WARN` Logging a warning message when metrics quantity exceeded a specified number.
    `static String` | `IGNITE_DUMP_PAGE_LOCK_ON_FAILURE` Enables threads locks dumping on critical node failure.
    `static String` | `IGNITE_DUMP_THREADS_ON_FAILURE` Enables threads dumping on critical node failure.
    `static String` | `IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT` Throttling time out for thread dump generation during failure handling.
    `static String` | `IGNITE_DUMP_TX_COLLISIONS_INTERVAL` When above zero, prints tx key collisions once per interval.
    `static String` | `IGNITE_ENABLE_EXPERIMENTAL_COMMAND` Deprecated. Use "--enable-experimental" parameter instead.
    `static String` | `IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING` Enables extended logging of indexes create/rebuild process.
    `static String` | `IGNITE_ENABLE_FORCIBLE_NODE_KILL` If this property is set, a node will forcible fail a remote node when it fails to establish a communication connection.
    `static String` | `IGNITE_ENABLE_SUBQUERY_REWRITE_OPTIMIZATION` Enables subquery rewriting optimization.
    `static String` | `IGNITE_EVICTION_PERMITS` Deprecated. Since version 2.10. Use `IgniteConfiguration.setRebalanceThreadPoolSize(int)` to manage eviction parallelism.
    `static String` | `IGNITE_EXCEPTION_REGISTRY_MAX_SIZE` Property controlling size of buffer holding last exception.
    `static String` | `IGNITE_EXCHANGE_HISTORY_SIZE` Maximum size for exchange history.
    `static String` | `IGNITE_EXCHANGE_MERGE_DELAY`
    `static String` | `IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY` Flag to enable triggering failure handler for node if unrecoverable partition inconsistency is discovered during partition update counters exchange.
    `static String` | `IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE` Amount of memory reserved in the heap at node start, which can be dropped to increase the chances of success when handling OutOfMemoryError.
    `static String` | `IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES` Maximum amount of bytes that can be stored in history of `DistributedMetaStorage` updates.
    `static String` | `IGNITE_GRID_CLIENT_LOG_ENABLED` If this property is set to `true` enable logging in `GridClient`.
    `static String` | `IGNITE_H2_DEBUG_CONSOLE` Deprecated. Since 2.8. H2 console is no longer supported.
    `static String` | `IGNITE_H2_DEBUG_CONSOLE_PORT` Deprecated. Since 2.8. H2 console is no longer supported.
    `static String` | `IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD` System property to specify period in milliseconds between calls of the SQL statements cache cleanup task.
    `static String` | `IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT` System property to specify timeout in milliseconds after which thread's SQL statements cache is cleared by cleanup task if the thread does not perform any query.
    `static String` | `IGNITE_HOME` Defines Ignite installation folder.
    `static String` | `IGNITE_IGNORE_LOCAL_HOST_NAME` System property to ignore reading hostname of the local address.
    `static String` | `IGNITE_INDEX_REBUILD_BATCH_SIZE` Count of rows, being processed within a single checkpoint lock when indexes are rebuilt.
    `static String` | `IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE` Indexing discovery history size.
    `static String` | `IGNITE_IO_BALANCE_PERIOD`
    `static String` | `IGNITE_IO_DUMP_ON_TIMEOUT`
    `static String` | `IGNITE_IPC_SHMEM_SPACE_DEBUG` Deprecated. This property is ignored and will be deleted in future releases.
    `static String` | `IGNITE_JCACHE_DEFAULT_ISOLATED` Property controlling whether CacheManager will start grid with isolated IP finder when default URL is passed in.
    `static String` | `IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY` JDBC driver cursor remove delay.
    `static String` | `IGNITE_JETTY_HOST` This property allows to override Jetty host for REST processor.
    `static String` | `IGNITE_JETTY_LOG_NO_OVERRIDE` This property does not allow Ignite to override Jetty log configuration for REST processor.
    `static String` | `IGNITE_JETTY_PORT` This property allows to override Jetty local port for REST processor.
    `static String` | `IGNITE_JOBS_HISTORY_SIZE` System property to override default job processor maps sizes for finished jobs and cancellation requests.
    `static String` | `IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL` Deprecated. Check the `ReadOnlyMetricRegistry` with "name=compute.jobs" instead.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_DISABLED` Ignite JVM pause detector disabled.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT` Ignite JVM pause detector last events count.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_PRECISION` Ignite JVM pause detector precision.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD` Ignite JVM pause detector threshold.
    `static String` | `IGNITE_KEEP_STATIC_CACHE_CONFIGURATION` Keep static cache configuration even if stored cache data differs from the static config.
    `static String` | `IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP` When set to `false`, loaded pages implementation is switched to previous version of implementation, FullPageIdTable.
    `static String` | `IGNITE_LOCAL_HOST` The system property sets a system-wide local IP address or hostname to be used by Ignite networking components.
    `static String` | `IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY` Indicating whether local store keeps primary only.
    `static String` | `IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP` Scan the classpath on startup and log all the files containing in it.
    `static String` | `IGNITE_LOG_DIR` Environment variable to override logging directory that has been set in logger configuration.
    `static String` | `IGNITE_LOG_GRID_NAME` Deprecated. Use `IGNITE_LOG_INSTANCE_NAME`.
    `static String` | `IGNITE_LOG_INSTANCE_NAME` If this system property is present the Ignite will include instance name into verbose log.
    `static String` | `IGNITE_LOG_THROTTLE_CAPACITY` Max amount of remembered errors for `GridLogThrottle`.
    `static String` | `IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR` Long-long offheap map load factor.
    `static String` | `IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT` Cache operations that take more time than value of this property will be output to log.
    `static String` | `IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT` Upper time limit between long running/hanging operations debug dumps.
    `static String` | `IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD` Threshold timeout for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc) and user time (time when client node runs some code while holding transaction and not waiting it).
    `static String` | `IGNITE_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE` System property to specify per thread binary allocator chunk pool size.
    `static String` | `IGNITE_MARSHAL_BUFFERS_RECHECK` System property to specify how often in milliseconds marshal buffers should be rechecked and potentially trimmed.
    `static String` | `IGNITE_MARSHALLER_BLACKLIST` Defines path to the file that contains list of classes disallowed to safe deserialization.
    `static String` | `IGNITE_MARSHALLER_WHITELIST` Defines path to the file that contains list of classes allowed to safe deserialization.
    `static String` | `IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP` The master key name that the node will use during the recovery.
    `static String` | `IGNITE_MAX_COMPLETED_TX_COUNT` Property controlling size of buffer holding completed transaction versions.
    `static String` | `IGNITE_MAX_INDEX_PAYLOAD_SIZE` System property to specify maximum payload size in bytes for `H2TreeIndex`.
    `static String` | `IGNITE_MAX_NESTED_LISTENER_CALLS` Maximum number of nested listener calls before listener notification becomes asynchronous.
    `static String` | `IGNITE_MBEAN_APPEND_CLASS_LOADER_ID` If this property is set to `true` then Ignite will append hash code of class loader to MXBean name.
    `static String` | `IGNITE_MBEAN_APPEND_JVM_ID` If this property is set to `true` then Ignite will append hash code of `Ignite` class as hex string and append JVM name returned by `RuntimeMXBean.getName()`.
    `static String` | `IGNITE_MBEANS_DISABLED` If property is set to `true`, then Ignite will disable MBeans registration.
    `static String` | `IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD` When unsafe memory copy if performed below this threshold, Ignite will do it on per-byte basis instead of calling to Unsafe.copyMemory().
    `static String` | `IGNITE_MEMORY_UNALIGNED_ACCESS` Whether Ignite can access unaligned memory addresses.
    `static String` | `IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT` Deprecated. Not used anymore.
    `static String` | `IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD` Maximum number for cached MVCC transaction updates.
    `static String` | `IGNITE_NEAR_GET_MAX_REMAPS` This property defines the maximum number of attempts to remap near get to the same primary node.
    `static String` | `IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT` Sets timeout for TCP client recovery descriptor reservation.
    `static String` | `IGNITE_NO_ASCII` If this system property is present (any value) - no ASCII logo will be printed.
    `static String` | `IGNITE_NO_DISCO_ORDER` Name of the system property to disable requirement for proper node ordering by discovery SPI.
    `static String` | `IGNITE_NO_SELECTOR_OPTS` If set to `true`, then default selected keys set is used inside `GridNioServer` which lead to some extra garbage generation when processing selected keys.
    `static String` | `IGNITE_NO_SHUTDOWN_HOOK` If this system property is set to `true` - no shutdown hook will be set.
    `static String` | `IGNITE_NODE_IDS_HISTORY_SIZE` Maximum size of history of server nodes (server node IDs) that ever joined to current topology.
    `static String` | `IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL` Ignite page memory concurrency level.
    `static String` | `IGNITE_OFFHEAP_SAFE_RELEASE` Flag that will force Ignite to fill memory block with some recognisable pattern right before this memory block is released.
    `static String` | `IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID` Manages `OptimizedMarshaller` behavior of `serialVersionUID` computation for `Serializable` classes.
    `static String` | `IGNITE_OVERRIDE_CONSISTENT_ID` System property to specify consistent id of Ignite node.
    `static String` | `IGNITE_OVERRIDE_MCAST_GRP` System property to override multicast group taken from configuration.
    `static String` | `IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED` If this property is set, `DataStorageConfiguration.setWriteThrottlingEnabled(boolean)` will be overridden to `true` regardless the initial value in the configuration.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_CAPACITY` Capacity in pages for storing in page lock tracker strucuture.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL` Page lock tracker thread for checking hangs threads interval.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_TYPE` Page lock tracker type
    `static String` | `IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING` Disable onheap caching of pages lists (free lists and reuse lists).
    `static String` | `IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD` The threshold of uneven distribution above which partition distribution will be logged.
    `static String` | `IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD` If a partition release future completion time during an exchange exceeds this threshold, the contents of the future will be dumped to the log on exchange.
    `static String` | `IGNITE_PARTITION_RELEASE_FUTURE_WARN_LIMIT` This property specifies the maximum number of futures that are included into diagnostic message.
    `static String` | `IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE` Number of checkpoint history entries held in memory.
    `static String` | `IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY` Deprecated.
    `static String` | `IGNITE_PDS_SKIP_CRC` Skip CRC calculation flag.
    `static String` | `IGNITE_PDS_WAL_REBALANCE_THRESHOLD` Deprecated. use Distributed MetaStorage property `historical.rebalance.threshold`.
    `static String` | `IGNITE_PENDING_TX_TRACKER_ENABLED` System property to enable pending transaction tracker.
    `static String` | `IGNITE_PERF_STAT_BUFFER_SIZE` Performance statistics off heap buffer size in bytes.
    `static String` | `IGNITE_PERF_STAT_CACHED_STRINGS_THRESHOLD` Maximum performance statistics cached strings threshold.
    `static String` | `IGNITE_PERF_STAT_FILE_MAX_SIZE` Maximum performance statistics file size in bytes.
    `static String` | `IGNITE_PERF_STAT_FLUSH_SIZE` Minimal performance statistics batch size to be flushed in bytes.
    `static String` | `IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED` Flag indicating whether performance suggestions output on start should be disabled.
    `static String` | `IGNITE_PME_FREE_SWITCH_DISABLED` PME-free switch explicitly disabled.
    `static String` | `IGNITE_PREFER_WAL_REBALANCE` Prefer historical rebalance if there's enough history regardless off all heuristics.
    `static String` | `IGNITE_PRELOAD_RESEND_TIMEOUT` System property to hold preload resend timeout for evicted partitions.
    `static String` | `IGNITE_PROG_NAME` Name of the system property defining name of command line program.
    `static String` | `IGNITE_QUIET` Set to either `true` or `false` to enable or disable quiet mode of Ignite.
    `static String` | `IGNITE_READ_LOAD_BALANCING` Whenever read load balancing is enabled, that means 'get' requests will be distributed between primary and backup nodes if it is possible and `CacheConfiguration.isReadFromBackup()` is `true`.
    `static String` | `IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL` Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `static String` | `IGNITE_REBALANCE_THROTTLE_OVERRIDE` Deprecated. Use `IgniteConfiguration.getRebalanceThrottle()` instead.
    `static String` | `IGNITE_RECOVERY_SEMAPHORE_PERMITS` Limit the maximum number of objects in memory during the recovery procedure.
    `static String` | `IGNITE_RECOVERY_VERBOSE_LOGGING` Allows to log additional information about all restored partitions after binary and logical recovery phases.
    `static String` | `IGNITE_REFLECTION_CACHE_SIZE` System property to override default reflection cache size.
    `static String` | `IGNITE_REST_GETALL_AS_ARRAY` Deprecated. Should be made default in Apache Ignite 3.0.
    `static String` | `IGNITE_REST_MAX_TASK_RESULTS` This property allows to override maximum count of task results stored on one node in REST processor.
    `static String` | `IGNITE_REST_SECURITY_TOKEN_TIMEOUT` This property allow rewriting default (`300`) REST session security token expire time (in seconds).
    `static String` | `IGNITE_REST_SESSION_TIMEOUT` This property allow rewriting default (`30`) REST session expire time (in seconds).
    `static String` | `IGNITE_REST_START_ON_CLIENT` This property allows to override default behavior that rest processor doesn't start on client node.
    `static String` | `IGNITE_RESTART_CODE` This property is used internally to pass an exit code to loader when Ignite instance is being restarted.
    `static String` | `IGNITE_REUSE_MEMORY_ON_DEACTIVATE` Try reuse memory on deactivation.
    `static String` | `IGNITE_SECURITY_COMPATIBILITY_MODE` When set to `true`, Ignite switches to compatibility mode with versions that don't support service security permissions.
    `static String` | `IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK` Property allowing to skip configuration consistency checks.
    `static String` | `IGNITE_SKIP_PARTITION_SIZE_VALIDATION` When set to `true`, Ignite will skip partitions sizes check on partition validation after rebalance has finished.
    `static String` | `IGNITE_SLOW_TX_WARN_TIMEOUT` Transactions that take more time, than value of this property, will be output to log with warning level.
    `static String` | `IGNITE_SNAPSHOT_SEQUENTIAL_WRITE` Flag to indicate that disk writes during snapshot process should be in a sequential manner when possible.
    `static String` | `IGNITE_SQL_ALLOW_KEY_VAL_UPDATES` Allow use composite _key, _val columns at the INSERT/UPDATE/MERGE statements.
    `static String` | `IGNITE_SQL_DISABLE_SYSTEM_VIEWS` Disable SQL system views.
    `static String` | `IGNITE_SQL_FILL_ABSENT_PK_WITH_DEFAULTS` Forcibly fills missing columns belonging to the primary key with nulls or default values if those have been specified.
    `static String` | `IGNITE_SQL_FORCE_LAZY_RESULT_SET` Deprecated. Since version 2.8.
    `static String` | `IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN` Maximum number of different partitions to be extracted from between expression within sql query.
    `static String` | `IGNITE_SQL_MERGE_TABLE_MAX_SIZE` Property controlling maximum number of SQL result rows which can be fetched into a merge table.
    `static String` | `IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE` Property controlling number of SQL result rows that will be fetched into a merge table at once before applying binary search for the bounds.
    `static String` | `IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK` Disable fallback to H2 SQL parser if the internal SQL parser fails to parse the statement.
    `static String` | `IGNITE_SQL_RETRY_TIMEOUT` SQL retry timeout.
    `static String` | `IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE` Enable backward compatible to use 'IGNITE' as SQL system schema.
    `static String` | `IGNITE_SQL_UUID_DDL_BYTE_FORMAT` Enable backward compatible handling of UUID through DDL.
    `static String` | `IGNITE_SSH_HOST` System property to hold SSH host for visor-started nodes.
    `static String` | `IGNITE_SSH_USER_NAME` System property to hold SSH user name for visor-started nodes.
    `static String` | `IGNITE_START_CACHES_ON_JOIN`
    `static String` | `IGNITE_STARVATION_CHECK_INTERVAL` This system property defines interval in milliseconds in which Ignite will check thread pool state for starvation.
    `static String` | `IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE` Manages backward compatibility of `StreamTransformer.from(CacheEntryProcessor)` method.
    `static String` | `IGNITE_SUCCESS_FILE` Name of the system property defining success file name.
    `static String` | `IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT` Maximum inactivity period for system worker in milliseconds.
    `static String` | `IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES` Enables setting attribute value of `ATTR_HOST_NAMES` when value `getLocalHost` is ip, for backward compatibility.
    `static String` | `IGNITE_TCP_DISCOVERY_ADDRESSES` Comma separated list of addresses in format "10.100.22.100:45000,10.100.22.101:45000".
    `static String` | `IGNITE_TEST_ENV` Set to true only during the junit tests.
    `static String` | `IGNITE_TEST_FEATURES_ENABLED` If property is set to `true`, then test features will be enabled.
    `static String` | `IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT` If this property is set to `true` then Ignite will log thread dump in case of partition exchange timeout.
    `static String` | `IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT` Threshold time (in millis) to print warning to log if waiting for next wal segment took longer than the threshold.
    `static String` | `IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE` Deprecated. Use `DataStorageConfiguration.setMinWalArchiveSize(long)`.
    `static String` | `IGNITE_THROTTLE_INLINE_SIZE_CALCULATION` Throttle frequency for an index row inline size calculation and logging index inline size recommendation.
    `static String` | `IGNITE_THROTTLE_LOG_THRESHOLD` Threshold for throttling operations logging.
    `static String` | `IGNITE_TO_STRING_COLLECTION_LIMIT` Limit collection (map, array) elements number to output.
    `static String` | `IGNITE_TO_STRING_INCLUDE_SENSITIVE` Setting to `true` enables writing sensitive information in `toString()` output.
    `static String` | `IGNITE_TO_STRING_MAX_LENGTH` Maximum length for `toString()` result.
    `static String` | `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` The coefficient for samples of completed transactions that will be dumped in log.
    `static String` | `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT` The limit of samples of completed transactions that will be dumped in log per second, if `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is above `0.0`.
    `static String` | `IGNITE_TROUBLESHOOTING_LOGGER` Setting this option to `true` will enable troubleshooting logger.
    `static String` | `IGNITE_TTL_EXPIRE_BATCH_SIZE` When cache has entries with expired TTL, each user operation will also remove this amount of expired entries.
    `static String` | `IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS` Specifies maximum number of iterations for deadlock detection procedure.
    `static String` | `IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT` Specifies timeout for deadlock detection procedure.
    `static String` | `IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED` Shows if dump requests from local node to near node are allowed, when long running transaction is found.
    `static String` | `IGNITE_UNWIND_THROTTLING_TIMEOUT` Throttling timeout in millis which avoid excessive PendingTree access on unwind if there is nothing to clean yet.
    `static String` | `IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI` Deprecated. Should be removed in Apache Ignite 2.0.
    `static String` | `IGNITE_UPDATE_NOTIFIER` If this system property is set to `false` - no checks for new versions will be performed by Ignite.
    `static String` | `IGNITE_USE_ASYNC_FILE_IO_FACTORY` If this property is set, then Ignite will use Async File IO factory by default.
    `static String` | `IGNITE_USE_BINARY_ARRAYS` Enables storage of typed arrays.
    `static String` | `IGNITE_USE_LEGACY_NODE_COMPARATOR` If the property is set Ignite will use legacy node comparator (based on node order) inste Default value is `false`.
    `static String` | `IGNITE_WAIT_FOR_BACKUPS_ON_SHUTDOWN` Deprecated. Use `ShutdownPolicy` instead.
    `static String` | `IGNITE_WAIT_SCHEMA_UPDATE` Timeout for waiting schema update if schema was not found for last accepted version.
    `static String` | `IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT` Count of WAL compressor worker threads.
    `static String` | `IGNITE_WAL_DEBUG_LOG_ON_RECOVERY` Deprecated. Not used.
    `static String` | `IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER` When set to `true`, WAL implementation with dedicated worker will be used even in FSYNC mode.
    `static String` | `IGNITE_WAL_MMAP` Property that indicates should be mapped byte buffer used or not.
    `static String` | `IGNITE_WAL_SEGMENT_SYNC_TIMEOUT` Property for setup Ignite WAL segment sync timeout.
    `static String` | `IGNITE_WAL_SERIALIZER_VERSION` Property for setup WAL serializer version.
    `static String` | `IGNITE_WORK_DIR` Environment variable to set work directory.
    `static String` | `IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT` Number of attempts to reconnect to ZooKeeper.
    `static String` | `IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT` Timeout between ZooKeeper client retries, default 2s.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBoolean(String name)` Gets either system property or environment variable with given name.
    `static boolean` | `getBoolean(String name, boolean dflt)` Gets either system property or environment variable with given name.
    `static double` | `getDouble(String name, double dflt)` Gets either system property or environment variable with given name.
    `static <E extends Enum<E>> E` | `getEnum(Class<E> enumCls, String name)`
    `static <E extends Enum<E>> E` | `getEnum(String name, E dflt)`
    `static float` | `getFloat(String name, float dflt)` Gets either system property or environment variable with given name.
    `static int` | `getInteger(String name, int dflt)` Gets either system property or environment variable with given name.
    `static long` | `getLong(String name, long dflt)` Gets either system property or environment variable with given name.
    `static @Nullable String` | `getString(String name)` Gets either system property or environment variable with given name.
    `static @Nullable String` | `getString(String name, String dflt)` Gets either system property or environment variable with given name.
    `static Properties` | `snapshot()` Gets snapshot of system properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNITE_LOG_GRID_NAME

          @Deprecated
           @SystemProperty(value="If this system property is present Ignite will include grid name into verbose log",
                          type=java.lang.String.class)
          public static final String IGNITE_LOG_GRID_NAME

      Deprecated. Use `IGNITE_LOG_INSTANCE_NAME`.
      If this system property is present the Ignite will include grid name into verbose log.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_INSTANCE_NAME

          @SystemProperty(value="If this system property is present Ignite will include instance name into verbose log",
                          type=java.lang.String.class)
          public static final String IGNITE_LOG_INSTANCE_NAME

      If this system property is present the Ignite will include instance name into verbose log.
      See Also:
        Constant Field Values

    - #### IGNITE_RESTART_CODE

          @SystemProperty(value="Exit code to pass to loader when Ignite instance is being restarted",
                          type=java.lang.Integer.class,
                          defaults="0")
          public static final String IGNITE_RESTART_CODE

      This property is used internally to pass an exit code to loader when Ignite instance is being restarted.
      See Also:
        Constant Field Values

    - #### IGNITE_HOME

          @SystemProperty(value="Defines Ignite installation folder",
                          type=java.lang.String.class,
                          defaults="")
          public static final String IGNITE_HOME

      Defines Ignite installation folder.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_SHUTDOWN_HOOK

          @SystemProperty(value="If true then no shutdown hook will be set")
          public static final String IGNITE_NO_SHUTDOWN_HOOK

      If this system property is set to `true` - no shutdown hook will be set.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_DISCO_ORDER

          @SystemProperty(value="If true requirement for proper node ordering by discovery SPI will be disabled. Use with care, as proper node ordering is required for cache consistency. If set to true, then any discovery SPI can be used with distributed cache, otherwise, only discovery SPIs that have annotation @GridDiscoverySpiOrderSupport(true) will be allowed")
          public static final String IGNITE_NO_DISCO_ORDER

      Name of the system property to disable requirement for proper node ordering by discovery SPI. Use with care, as proper node ordering is required for cache consistency. If set to `true`, then any discovery SPI can be used with distributed cache, otherwise, only discovery SPIs that have annotation `@GridDiscoverySpiOrderSupport(true)` will be allowed.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY

          @SystemProperty(value="Reconnect delay in milliseconds for client node that was failed forcible",
                          type=java.lang.Long.class,
                          defaults="10000 milliseconds")
          public static final String IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY

      Defines reconnect delay in milliseconds for client node that was failed forcible.
      See Also:
        Constant Field Values

    - #### IGNITE_UPDATE_NOTIFIER

          @SystemProperty(value="If this system property is set to false - no checks for new versions will be performed by Ignite. By default, Ignite periodically checks for the new version and prints out the message into the log if a new version of Ignite is available for download. Update notifier enabled flag is a cluster-wide value and determined according to the local setting during the start of the first node in the cluster. The chosen value will survive the first node shutdown and will override the property value on all newly joining nodes",
                          defaults="true")
          public static final String IGNITE_UPDATE_NOTIFIER

      If this system property is set to `false` - no checks for new versions will be performed by Ignite. By default, Ignite periodically checks for the new version and prints out the message into the log if a new version of Ignite is available for download. Update notifier enabled flag is a cluster-wide value and determined according to the local setting during the start of the first node in the cluster. The chosen value will survive the first node shutdown and will override the property value on all newly joining nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_STARVATION_CHECK_INTERVAL

          @SystemProperty(value="Interval in milliseconds in which Ignite will check thread pool state for starvation. Zero value will disable checker",
                          type=java.lang.Long.class,
                          defaults="30000 milliseconds")
          public static final String IGNITE_STARVATION_CHECK_INTERVAL

      This system property defines interval in milliseconds in which Ignite will check thread pool state for starvation. Zero value will disable this checker.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_ASCII

          @SystemProperty(value="If this system property is present (any value) - no ASCII logo will be printed")
          public static final String IGNITE_NO_ASCII

      If this system property is present (any value) - no ASCII logo will be printed.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_HOST

          @SystemProperty(value="Jetty host for REST processor",
                          type=java.lang.String.class)
          public static final String IGNITE_JETTY_HOST

      This property allows to override Jetty host for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_PORT

          @SystemProperty(value="Jetty local port for REST processor",
                          type=java.lang.Integer.class)
          public static final String IGNITE_JETTY_PORT

      This property allows to override Jetty local port for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_LOG_NO_OVERRIDE

          @SystemProperty(value="If true then disallow Ignite to override Jetty log configuration for REST processor")
          public static final String IGNITE_JETTY_LOG_NO_OVERRIDE

      This property does not allow Ignite to override Jetty log configuration for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_SESSION_TIMEOUT

          @SystemProperty(value="REST session expire time in seconds",
                          type=java.lang.Long.class,
                          defaults="30 seconds")
          public static final String IGNITE_REST_SESSION_TIMEOUT

      This property allow rewriting default (`30`) REST session expire time (in seconds).
      See Also:
        Constant Field Values

    - #### IGNITE_REST_SECURITY_TOKEN_TIMEOUT

          @SystemProperty(value="REST session security token expire time in seconds",
                          type=java.lang.Long.class,
                          defaults="300 seconds")
          public static final String IGNITE_REST_SECURITY_TOKEN_TIMEOUT

      This property allow rewriting default (`300`) REST session security token expire time (in seconds).
      See Also:
        Constant Field Values

    - #### IGNITE_REST_MAX_TASK_RESULTS

          @SystemProperty(value="Maximum count of task results stored on one node in REST processor",
                          type=java.lang.Integer.class,
                          defaults="10240")
          public static final String IGNITE_REST_MAX_TASK_RESULTS

      This property allows to override maximum count of task results stored on one node in REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_START_ON_CLIENT

          @SystemProperty(value="Enables start of the rest processor on client node")
          public static final String IGNITE_REST_START_ON_CLIENT

      This property allows to override default behavior that rest processor doesn't start on client node. If set `true` than rest processor will be started on client node.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_GETALL_AS_ARRAY

          @Deprecated
           @SystemProperty(value="If true output format of GridRestCommand.CACHE_GET_ALL will change from {k: v, ...} to [{\"key\": k, \"value\": v}, ...] to allow non-string keys output")
          public static final String IGNITE_REST_GETALL_AS_ARRAY

      Deprecated. Should be made default in Apache Ignite 3.0.
      This property changes output format of `GridRestCommand.CACHE_GET_ALL` from {k: v, ...} to [{"key": k, "value": v}, ...] to allow non-string keys output.
      See Also:
        Constant Field Values

    - #### IGNITE_NEAR_GET_MAX_REMAPS

          @SystemProperty(value="Maximum number of attempts to remap near get to the same primary node. Remapping may be needed when topology is changed concurrently with get operation",
                          type=java.lang.Integer.class,
                          defaults="3")
          public static final String IGNITE_NEAR_GET_MAX_REMAPS

      This property defines the maximum number of attempts to remap near get to the same primary node. Remapping may be needed when topology is changed concurrently with get operation.
      See Also:
        Constant Field Values

    - #### IGNITE_QUIET

          @SystemProperty(value="In quiet mode, only warning and errors are printed into the log additionally to a shortened version of standard output on the start. Note that if you use ignite.{sh|bat} scripts to start Ignite they start by default in quiet mode. You can supply -v flag to override it",
                          defaults="true")
          public static final String IGNITE_QUIET

      Set to either `true` or `false` to enable or disable quiet mode of Ignite. In quiet mode, only warning and errors are printed into the log additionally to a shortened version of standard output on the start.

      Note that if you use `ignite.{sh|bat}` scripts to start Ignite they start by default in quiet mode. You can supply `-v` flag to override it.

      See Also:
        Constant Field Values

    - #### IGNITE_TROUBLESHOOTING_LOGGER

          @SystemProperty(value="Enables troubleshooting logger. Troubleshooting logger makes logging more verbose without enabling debug mode to provide more detailed logs without performance penalty")
          public static final String IGNITE_TROUBLESHOOTING_LOGGER

      Setting this option to `true` will enable troubleshooting logger. Troubleshooting logger makes logging more verbose without enabling debug mode to provide more detailed logs without performance penalty.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_INCLUDE_SENSITIVE

          @SystemProperty(value="Enables writing sensitive information in toString() output",
                          defaults="true")
          public static final String IGNITE_TO_STRING_INCLUDE_SENSITIVE

      Setting to `true` enables writing sensitive information in `toString()` output.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_MAX_LENGTH

          @SystemProperty(value="Maximum length for toString() result",
                          type=java.lang.Integer.class,
                          defaults="10000")
          public static final String IGNITE_TO_STRING_MAX_LENGTH

      Maximum length for `toString()` result.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_COLLECTION_LIMIT

          @SystemProperty(value="Number of collection (map, array) elements to output",
                          type=java.lang.Integer.class,
                          defaults="100")
          public static final String IGNITE_TO_STRING_COLLECTION_LIMIT

      Limit collection (map, array) elements number to output.
      See Also:
        Constant Field Values

    - #### IGNITE_CONSOLE_APPENDER

          @SystemProperty(value="If true (default) and Ignite is launched in verbose mode (see IGNITE_QUIET) and no console appenders can be found in configuration, then default console appender will be added. Set this property to false if no appenders should be added",
                          defaults="true")
          public static final String IGNITE_CONSOLE_APPENDER

      If this property is set to `true` (default) and Ignite is launched in verbose mode (see `IGNITE_QUIET`) and no console appenders can be found in configuration, then default console appender will be added. Set this property to `false` if no appenders should be added.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCHANGE_HISTORY_SIZE

          @SystemProperty(value="Maximum size for exchange history",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_EXCHANGE_HISTORY_SIZE

      Maximum size for exchange history. Default value is `1000`.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCHANGE_MERGE_DELAY

          @SystemProperty(value="Partition map exchange merge delay in milliseconds",
                          type=java.lang.Long.class,
                          defaults="0")
          public static final String IGNITE_EXCHANGE_MERGE_DELAY

      See Also:
        Constant Field Values

    - #### IGNITE_PME_FREE_SWITCH_DISABLED

          @SystemProperty(value="Disables PME-free switch")
          public static final String IGNITE_PME_FREE_SWITCH_DISABLED

      PME-free switch explicitly disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_PROG_NAME

          @SystemProperty(value="Name of command line program",
                          type=java.lang.String.class,
                          defaults="ignite.{sh|bat}")
          public static final String IGNITE_PROG_NAME

      Name of the system property defining name of command line program.
      See Also:
        Constant Field Values

    - #### IGNITE_SUCCESS_FILE

          @SystemProperty(value="Success file name. This file is used with auto-restarting functionality when Ignite is started by supplied ignite.{bat|sh} scripts",
                          type=java.lang.String.class)
          public static final String IGNITE_SUCCESS_FILE

      Name of the system property defining success file name. This file is used with auto-restarting functionality when Ignite is started by supplied `ignite.{bat|sh}` scripts.
      See Also:
        Constant Field Values

    - #### IGNITE_LOCAL_HOST

          @SystemProperty(value="Sets a system-wide local IP address or hostname to be used by Ignite networking components. Once provided, the property overrides all the default local binding settings for Ignite nodes. Note, that the address can also be changed via IgniteConfiguration.setLocalHost(String) method. However, this system property has bigger priority and overrides the settings set via IgniteConfiguration",
                          type=java.lang.String.class)
          public static final String IGNITE_LOCAL_HOST

      The system property sets a system-wide local IP address or hostname to be used by Ignite networking components. Once provided, the property overrides all the default local binding settings for Ignite nodes.

      Note, that the address can also be changed via `IgniteConfiguration.setLocalHost(String)` method. However, this system property has bigger priority and overrides the settings set via `IgniteConfiguration`.

      See Also:
        Constant Field Values

    - #### IGNITE_DEP_MODE_OVERRIDE

          @SystemProperty(value="Sets deployment mode configuration parameter. Valid values for property are: PRIVATE, ISOLATED, SHARED or CONTINUOUS",
                          type=DeploymentMode.class)
          public static final String IGNITE_DEP_MODE_OVERRIDE

      System property to override deployment mode configuration parameter. Valid values for property are: PRIVATE, ISOLATED, SHARED or CONTINUOUS.
      See Also:
        `DeploymentMode`, `IgniteConfiguration.getDeploymentMode()`, Constant Field Values

    - #### IGNITE_MAX_COMPLETED_TX_COUNT

          @SystemProperty(value="Size of buffer holding completed transaction versions. Buffer is used to detect duplicate transaction. In most cases this value is large enough and does not need to be changed",
                          type=java.lang.Integer.class,
                          defaults="262144")
          public static final String IGNITE_MAX_COMPLETED_TX_COUNT

      Property controlling size of buffer holding completed transaction versions. Such buffer is used to detect duplicate transaction and has a default value of `102400`. In most cases this value is large enough and does not need to be changed.
      See Also:
        Constant Field Values

    - #### IGNITE_SLOW_TX_WARN_TIMEOUT

          @SystemProperty(value="Transactions that take more time, than value of this property (in milliseconds), will be output to warnings. 0 disables warnings on slow transactions",
                          type=java.lang.Integer.class,
                          defaults="0")
          public static final String IGNITE_SLOW_TX_WARN_TIMEOUT

      Transactions that take more time, than value of this property, will be output to log with warning level. `0` (default value) disables warning on slow transactions.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS

          @SystemProperty(value="Maximum number of iterations for deadlock detection procedure. If value of this property is less then or equal to zero then deadlock detection will be disabled",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS

      Specifies maximum number of iterations for deadlock detection procedure. If value of this property is less then or equal to zero then deadlock detection will be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT

          @SystemProperty(value="Timeout for deadlock detection procedure",
                          type=java.lang.Integer.class,
                          defaults="60000")
          public static final String IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT

      Specifies timeout for deadlock detection procedure.
      See Also:
        Constant Field Values

    - #### IGNITE_PENDING_TX_TRACKER_ENABLED

          @SystemProperty(value="Enables pending transaction tracker. Affects impact of IGNITE_DISABLE_WAL_DURING_REBALANCING property:  if this property is set, WAL anyway won\'t be disabled during rebalancing triggered by baseline topology change")
          public static final String IGNITE_PENDING_TX_TRACKER_ENABLED

      System property to enable pending transaction tracker. Affects impact of `IGNITE_DISABLE_WAL_DURING_REBALANCING` property: if this property is set, WAL anyway won't be disabled during rebalancing triggered by baseline topology change.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_MCAST_GRP

          @SystemProperty(value="Overrides multicast group taken from configuration. Used for testing purposes",
                          type=java.lang.String.class)
          public static final String IGNITE_OVERRIDE_MCAST_GRP

      System property to override multicast group taken from configuration. Used for testing purposes.
      See Also:
        Constant Field Values

    - #### IGNITE_REFLECTION_CACHE_SIZE

          @SystemProperty(value="Overrides default reflection cache size",
                          type=java.lang.Integer.class,
                          defaults="128")
          public static final String IGNITE_REFLECTION_CACHE_SIZE

      System property to override default reflection cache size. Default value is `128`.
      See Also:
        Constant Field Values

    - #### IGNITE_JOBS_HISTORY_SIZE

          @SystemProperty(value="Job processor maps sizes for finished jobs and cancellation requests. ",
                          type=java.lang.Integer.class,
                          defaults="10240")
          public static final String IGNITE_JOBS_HISTORY_SIZE

      System property to override default job processor maps sizes for finished jobs and cancellation requests. Default value is `10240`.
      See Also:
        Constant Field Values

    - #### IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL

          @Deprecated
           @SystemProperty(value="Job metrics processor property defining concurrency level for structure holding job metrics snapshots",
                          type=java.lang.Integer.class,
                          defaults="64")
          public static final String IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL

      Deprecated. Check the `ReadOnlyMetricRegistry` with "name=compute.jobs" instead.
      System property to override default job metrics processor property defining concurrency level for structure holding job metrics snapshots. Default value is `64`.
      See Also:
        Constant Field Values

    - #### IGNITE_CONFIG_URL

          @SystemProperty(value="Configuration URL",
                          type=java.lang.String.class)
          public static final String IGNITE_CONFIG_URL

      System property to hold optional configuration URL.
      See Also:
        Constant Field Values

    - #### IGNITE_SSH_HOST

          @SystemProperty(value="SSH host name for visor-started nodes",
                          type=java.lang.String.class)
          public static final String IGNITE_SSH_HOST

      System property to hold SSH host for visor-started nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_EXPERIMENTAL_COMMAND

          @Deprecated
           @SystemProperty(value="Enables experimental commands in control.sh script")
          public static final String IGNITE_ENABLE_EXPERIMENTAL_COMMAND

      Deprecated. Use "--enable-experimental" parameter instead.
      System property to enable experimental commands in control.sh script.
      See Also:
        Constant Field Values

    - #### IGNITE_SSH_USER_NAME

          @SystemProperty(value="SSH user name for visor-started nodes",
                          type=java.lang.String.class)
          public static final String IGNITE_SSH_USER_NAME

      System property to hold SSH user name for visor-started nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_PRELOAD_RESEND_TIMEOUT

          @SystemProperty(value="Preload resend timeout for evicted partitions in milliseconds",
                          type=java.lang.Long.class,
                          defaults="1500")
          public static final String IGNITE_PRELOAD_RESEND_TIMEOUT

      System property to hold preload resend timeout for evicted partitions.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHAL_BUFFERS_RECHECK

          @SystemProperty(value="How often in milliseconds marshal buffers should be rechecked and potentially trimmed",
                          type=java.lang.Long.class,
                          defaults="10000")
          public static final String IGNITE_MARSHAL_BUFFERS_RECHECK

      System property to specify how often in milliseconds marshal buffers should be rechecked and potentially trimmed. Default value is `10,000ms`.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE

          @SystemProperty(value="Per thread binary allocator chunk pool size",
                          type=java.lang.Integer.class,
                          defaults="32")
          public static final String IGNITE_MARSHAL_BUFFERS_PER_THREAD_POOL_SIZE

      System property to specify per thread binary allocator chunk pool size. Default value is `32`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_HOSTNAME_VERIFIER

          @SystemProperty(value="Disables HostnameVerifier for SSL connections. Can be used for development with self-signed certificates")
          public static final String IGNITE_DISABLE_HOSTNAME_VERIFIER

      System property to disable `HostnameVerifier` for SSL connections. Can be used for development with self-signed certificates. Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT

          @Deprecated
           @SystemProperty(value="Disables buffered communication if node sends less messages count than specified by this property",
                          type=java.lang.Integer.class,
                          defaults="512")
          public static final String IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT

      Deprecated. Not used anymore.
      System property to disable buffered communication if node sends less messages count than specified by this property. Default value is `512`.
      See Also:
        Constant Field Values

    - #### IGNITE_OFFHEAP_SAFE_RELEASE

          @SystemProperty(value="Force Ignite to fill memory block with some recognisable pattern right before this memory block is released. This will help to recognize cases when already released memory is accessed")
          public static final String IGNITE_OFFHEAP_SAFE_RELEASE

      Flag that will force Ignite to fill memory block with some recognisable pattern right before this memory block is released. This will help to recognize cases when already released memory is accessed.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE

          @SystemProperty(value="Maximum size for atomic cache queue delete history",
                          type=java.lang.Integer.class,
                          defaults="200000 per partition")
          public static final String IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE

      Maximum size for atomic cache queue delete history (default is 200 000 entries per partition).
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_REMOVED_ENTRIES_TTL

          @SystemProperty(value="Ttl of removed cache entries in milliseconds",
                          type=java.lang.Long.class,
                          defaults="10000")
          public static final String IGNITE_CACHE_REMOVED_ENTRIES_TTL

      Ttl of removed cache entries (ms).
      See Also:
        Constant Field Values

    - #### IGNITE_TCP_DISCOVERY_ADDRESSES

          @SystemProperty(value="Comma separated list of addresses in format \"10.100.22.100:45000,10.100.22.101:45000\". Used only for org.apache.ignite.spi.discovery.tcp.ipfinder.vm.TcpDiscoveryVmIpFinder",
                          type=java.lang.String.class)
          public static final String IGNITE_TCP_DISCOVERY_ADDRESSES

      Comma separated list of addresses in format "10.100.22.100:45000,10.100.22.101:45000". Makes sense only for `TcpDiscoveryVmIpFinder`.
      See Also:
        Constant Field Values

    - #### IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED

          @SystemProperty(value="Disables performance suggestions output on start")
          public static final String IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED

      Flag indicating whether performance suggestions output on start should be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_MIXED_CACHE_GROUPS

          @SystemProperty(value="Allows mixed cache groups",
                          defaults="false")
          public static final String IGNITE_ALLOW_MIXED_CACHE_GROUPS

      Flag indicating whether atomic and transactional caches are allowed inside the same cache group. Since 2.16.0 mixed cache groups are not allowed by default.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE

          @SystemProperty(value="Atomic cache deferred update response buffer size",
                          type=java.lang.Integer.class,
                          defaults="256")
          public static final String IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE

      Atomic cache deferred update response buffer size.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT

          @SystemProperty(value="Atomic cache deferred update timeout",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT

      Atomic cache deferred update timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT

          @SystemProperty(value="Atomic cache deferred update timeout",
                          type=java.lang.Integer.class,
                          defaults="10000")
          public static final String IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT

      Atomic cache deferred update timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT

          @SystemProperty(value="One phase commit deferred ack request timeout",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT

      One phase commit deferred ack request timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE

          @SystemProperty(value="One phase commit deferred ack request buffer size",
                          type=java.lang.Integer.class,
                          defaults="256")
          public static final String IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE

      One phase commit deferred ack request buffer size.
      See Also:
        Constant Field Values

    - #### IGNITE_H2_DEBUG_CONSOLE

          @Deprecated
           @SystemProperty(value="Enables debug console for H2 indexing SPI",
                          type=java.lang.String.class)
          public static final String IGNITE_H2_DEBUG_CONSOLE

      Deprecated. Since 2.8. H2 console is no longer supported.
      If this property set then debug console will be opened for H2 indexing SPI.
      See Also:
        Constant Field Values

    - #### IGNITE_H2_DEBUG_CONSOLE_PORT

          @Deprecated
           @SystemProperty(value="User defined port which H2 indexing SPI will use to start H2 debug console on. If this property is not set or set to 0, H2 debug console will use system-provided dynamic port. This property is only relevant when IGNITE_H2_DEBUG_CONSOLE property is set",
                          type=java.lang.Integer.class)
          public static final String IGNITE_H2_DEBUG_CONSOLE_PORT

      Deprecated. Since 2.8. H2 console is no longer supported.
      This property allows to specify user defined port which H2 indexing SPI will use to start H2 debug console on. If this property is not set or set to 0, H2 debug console will use system-provided dynamic port. This property is only relevant when `IGNITE_H2_DEBUG_CONSOLE` property is set.
      See Also:
        Constant Field Values

    - #### IGNITE_IPC_SHMEM_SPACE_DEBUG

          @Deprecated
           @SystemProperty(value="This option is ignored and will be deleted in future releases")
          public static final String IGNITE_IPC_SHMEM_SPACE_DEBUG

      Deprecated. This property is ignored and will be deleted in future releases.
      See Also:
        Constant Field Values

    - #### IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK

          @SystemProperty(value="Skip configuration consistency checks")
          public static final String IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK

      Property allowing to skip configuration consistency checks.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_KEY_VALIDATION_DISABLED

          @Deprecated
           @SystemProperty(value="Disables validation of keys put to cache")
          public static final String IGNITE_CACHE_KEY_VALIDATION_DISABLED

      Deprecated. Since 2.10 Obsolete because of common use of binary marshaller.
      Flag indicating whether validation of keys put to cache should be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_DIR

          @SystemProperty(value="Logging directory. Overrides configuration value",
                          type=java.lang.String.class)
          public static final String IGNITE_LOG_DIR

      Environment variable to override logging directory that has been set in logger configuration.
      See Also:
        Constant Field Values

    - #### IGNITE_WORK_DIR

          @SystemProperty(value="Work directory. The property IgniteConfiguration.setWorkDirectory has higher priority",
                          type=java.lang.String.class)
          public static final String IGNITE_WORK_DIR

      Environment variable to set work directory. The property `IgniteConfiguration.setWorkDirectory(java.lang.String)` has higher priority.
      See Also:
        Constant Field Values

    - #### IGNITE_MBEAN_APPEND_JVM_ID

          @SystemProperty(value="Enables Ignite to append hash code of Ignite class as hex string and append JVM name returned by RuntimeMXBean.getName(). This may be helpful when running Ignite in some application server clusters or similar environments to avoid MBean name collisions")
          public static final String IGNITE_MBEAN_APPEND_JVM_ID

      If this property is set to `true` then Ignite will append hash code of `Ignite` class as hex string and append JVM name returned by `RuntimeMXBean.getName()`.

      This may be helpful when running Ignite in some application server clusters or similar environments to avoid MBean name collisions.

      Default is `false`.

      See Also:
        Constant Field Values

    - #### IGNITE_MBEAN_APPEND_CLASS_LOADER_ID

          @SystemProperty(value="Enables Ignite to append hash code of class loader to MXBean name",
                          defaults="true")
          public static final String IGNITE_MBEAN_APPEND_CLASS_LOADER_ID

      If this property is set to `true` then Ignite will append hash code of class loader to MXBean name.

      Default is `true`.

      See Also:
        Constant Field Values

    - #### IGNITE_MBEANS_DISABLED

          @SystemProperty(value="Disable MBeans registration. This may be helpful if MBeans are not allowed e.g. for security reasons")
          public static final String IGNITE_MBEANS_DISABLED

      If property is set to `true`, then Ignite will disable MBeans registration. This may be helpful if MBeans are not allowed e.g. for security reasons. Default is `false`
      See Also:
        Constant Field Values

    - #### IGNITE_TEST_FEATURES_ENABLED

          @SystemProperty(value="Enables test features")
          public static final String IGNITE_TEST_FEATURES_ENABLED

      If property is set to `true`, then test features will be enabled. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCEPTION_REGISTRY_MAX_SIZE

          @SystemProperty(value="Size of buffer holding last exception",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_EXCEPTION_REGISTRY_MAX_SIZE

      Property controlling size of buffer holding last exception. Default value of `1000`.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_CLIENT

          @SystemProperty(value="Starts node in client mode. Have lower priority than configuration value")
          public static final String IGNITE_CACHE_CLIENT

      Property controlling default behavior of cache client flag.
      See Also:
        Constant Field Values

    - #### IGNITE_JCACHE_DEFAULT_ISOLATED

          @SystemProperty(value="Enables CacheManager to start grid with isolated IP finder when default URL is passed in. This is needed to pass TCK tests which use default URL and assume isolated cache managers for different class loaders",
                          defaults="true")
          public static final String IGNITE_JCACHE_DEFAULT_ISOLATED

      Property controlling whether CacheManager will start grid with isolated IP finder when default URL is passed in. This is needed to pass TCK tests which use default URL and assume isolated cache managers for different class loaders.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MERGE_TABLE_MAX_SIZE

          @SystemProperty(value="Maximum number of SQL result rows which can be fetched into a merge table. If there are less rows than this threshold then multiple passes throw a table will be possible, otherwise only one pass (e.g. only result streaming is possible)",
                          type=java.lang.Integer.class,
                          defaults="10000")
          public static final String IGNITE_SQL_MERGE_TABLE_MAX_SIZE

      Property controlling maximum number of SQL result rows which can be fetched into a merge table. If there are less rows than this threshold then multiple passes throw a table will be possible, otherwise only one pass (e.g. only result streaming is possible).
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE

          @SystemProperty(value="Number of SQL result rows that will be fetched into a merge table at once before applying binary search for the bounds",
                          type=java.lang.Integer.class,
                          defaults="1024")
          public static final String IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE

      Property controlling number of SQL result rows that will be fetched into a merge table at once before applying binary search for the bounds.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK

          @SystemProperty(value="Disables fallback to H2 SQL parser if the internal SQL parser fails to parse the statement")
          public static final String IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK

      Disable fallback to H2 SQL parser if the internal SQL parser fails to parse the statement.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_FORCE_LAZY_RESULT_SET

          @Deprecated
           @SystemProperty(value="Force all SQL queries to be processed lazily regardless of what clients request")
          public static final String IGNITE_SQL_FORCE_LAZY_RESULT_SET

      Deprecated. Since version 2.8.
      Force all SQL queries to be processed lazily regardless of what clients request.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_DISABLE_SYSTEM_VIEWS

          @SystemProperty(value="Disables SQL system views")
          public static final String IGNITE_SQL_DISABLE_SYSTEM_VIEWS

      Disable SQL system views.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_RETRY_TIMEOUT

          @SystemProperty(value="SQL retry timeout in milliseconds",
                          type=java.lang.Long.class,
                          defaults="30 seconds")
          public static final String IGNITE_SQL_RETRY_TIMEOUT

      SQL retry timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_UUID_DDL_BYTE_FORMAT

          @SystemProperty(value="Enables backward compatible handling of UUID through DDL")
          public static final String IGNITE_SQL_UUID_DDL_BYTE_FORMAT

      Enable backward compatible handling of UUID through DDL.
      See Also:
        Constant Field Values

    - #### IGNITE_AFFINITY_HISTORY_SIZE

          @SystemProperty(value="Maximum size for affinity assignment history",
                          type=java.lang.Integer.class,
                          defaults="25")
          public static final String IGNITE_AFFINITY_HISTORY_SIZE

      Maximum size for affinity assignment history.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_HISTORY_SIZE

          @SystemProperty(value="Maximum size for discovery messages history",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_DISCOVERY_HISTORY_SIZE

      Maximum size for discovery messages history.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE

          @SystemProperty(value="Maximum number of discovery message history used to support client reconnect",
                          type=java.lang.Integer.class,
                          defaults="512")
          public static final String IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE

      Maximum number of discovery message history used to support client reconnect.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_METRICS_QNT_WARN

          @SystemProperty(value="Enables logging a warning message when metrics quantity exceeded a specified number",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_DISCOVERY_METRICS_QNT_WARN

      Logging a warning message when metrics quantity exceeded a specified number.
      See Also:
        Constant Field Values

    - #### CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL

          @SystemProperty(value="Time interval in milliseconds that indicates client reconnect throttle must be reset to zero",
                          type=java.lang.Long.class,
                          defaults="120000")
          public static final String CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL

      Time interval that indicates that client reconnect throttle must be reset to zero. 2 minutes by default.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_RETRIES_COUNT

          @SystemProperty(value="Number of cache operation retries in case of topology exceptions",
                          type=java.lang.Integer.class,
                          defaults="100")
          public static final String IGNITE_CACHE_RETRIES_COUNT

      Number of cache operation retries in case of topology exceptions.
      See Also:
        Constant Field Values

    - #### IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT

          @SystemProperty(value="Enables logging thread dump in case of partition exchange timeout")
          public static final String IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT

      If this property is set to `true` then Ignite will log thread dump in case of partition exchange timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_IO_DUMP_ON_TIMEOUT

          @SystemProperty(value="Enables dump SPI stats to diagnostic log")
          public static final String IGNITE_IO_DUMP_ON_TIMEOUT

      See Also:
        Constant Field Values

    - #### IGNITE_DIAGNOSTIC_ENABLED

          @SystemProperty(value="Enables diagnostic flag",
                          defaults="true")
          public static final String IGNITE_DIAGNOSTIC_ENABLED

      See Also:
        Constant Field Values

    - #### IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT

          @SystemProperty(value="Cache operations that take more time than value of this property will be output to log. Set to 0 to disable",
                          type=java.lang.Long.class,
                          defaults="60000")
          public static final String IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT

      Cache operations that take more time than value of this property will be output to log. Set to `0` to disable.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT

          @SystemProperty(value="Upper time limit between long running/hanging operations debug dumps in milliseconds",
                          type=java.lang.Long.class,
                          defaults="1800000")
          public static final String IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT

      Upper time limit between long running/hanging operations debug dumps.
      See Also:
        Constant Field Values

    - #### IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY

          @SystemProperty(value="JDBC driver cursor remove delay in milliseconds",
                          type=java.lang.Long.class,
                          defaults="10 minutes")
          public static final String IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY

      JDBC driver cursor remove delay.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR

          @SystemProperty(value="Long-long offheap map load factor",
                          type=java.lang.Float.class,
                          defaults="2.5")
          public static final String IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR

      Long-long offheap map load factor.
      See Also:
        Constant Field Values

    - #### IGNITE_MAX_NESTED_LISTENER_CALLS

          @SystemProperty(value="Maximum number of nested listener calls before listener notification becomes asynchronous",
                          type=java.lang.Integer.class,
                          defaults="5")
          public static final String IGNITE_MAX_NESTED_LISTENER_CALLS

      Maximum number of nested listener calls before listener notification becomes asynchronous.
      See Also:
        Constant Field Values

    - #### IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY

          @SystemProperty(value="Enables local store keeps primary only. Backward compatibility flag")
          public static final String IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY

      Indicating whether local store keeps primary only. Backward compatibility flag.
      See Also:
        Constant Field Values

    - #### IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID

          @SystemProperty(value="Manages OptimizedMarshaller behavior of serialVersionUID computation for Serializable classes")
          public static final String IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID

      Manages `OptimizedMarshaller` behavior of `serialVersionUID` computation for `Serializable` classes.
      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2

          @SystemProperty(value="Manages type of serialization mechanism for String that is marshalled/unmarshalled by BinaryMarshaller. Should be used for cases when a String contains a surrogate symbol without its pair one. This is frequently used in algorithms that encrypts data in String format")
          public static final String IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2

      Manages type of serialization mechanism for `String` that is marshalled/unmarshalled by BinaryMarshaller. Should be used for cases when a String contains a surrogate symbol without its pair one. This is frequently used in algorithms that encrypts data in String format.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHALLER_WHITELIST

          @SystemProperty(value="Path to the file that contains list of classes allowed to safe deserialization",
                          type=java.lang.String.class)
          public static final String IGNITE_MARSHALLER_WHITELIST

      Defines path to the file that contains list of classes allowed to safe deserialization.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHALLER_BLACKLIST

          @SystemProperty(value="Path to the file that contains list of classes disallowed to safe deserialization",
                          type=java.lang.String.class)
          public static final String IGNITE_MARSHALLER_BLACKLIST

      Defines path to the file that contains list of classes disallowed to safe deserialization.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_SELECTOR_OPTS

          @SystemProperty(value="Enables default selected keys set to be used inside GridNioServer which lead to some extra garbage generation when processing selected keys. Should be switched to true if there are any problems in communication layer")
          public static final String IGNITE_NO_SELECTOR_OPTS

      If set to `true`, then default selected keys set is used inside `GridNioServer` which lead to some extra garbage generation when processing selected keys.

      Default value is `false`. Should be switched to `true` if there are any problems in communication layer.

      See Also:
        Constant Field Values

    - #### IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD

          @SystemProperty(value="Period in milliseconds between calls of the SQL statements cache cleanup task. Cleanup tasks clears cache for terminated threads and for threads which did not perform SQL queries within timeout configured via IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT property",
                          type=java.lang.Long.class,
                          defaults="10 seconds")
          public static final String IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD

      System property to specify period in milliseconds between calls of the SQL statements cache cleanup task.

      Cleanup tasks clears cache for terminated threads and for threads which did not perform SQL queries within timeout configured via `IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT` property.

      Default value is `10,000ms`.

      See Also:
        Constant Field Values

    - #### IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT

          @SystemProperty(value="Timeout in milliseconds after which thread\'s SQL statements cache is cleared by cleanup task if the thread does not perform any query",
                          type=java.lang.Long.class,
                          defaults="10 minutes")
          public static final String IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT

      System property to specify timeout in milliseconds after which thread's SQL statements cache is cleared by cleanup task if the thread does not perform any query.

      Default value is `600,000ms`.

      See Also:
        Constant Field Values

    - #### IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE

          @SystemProperty(value="Enables backward compatibility of StreamTransformer.from(CacheEntryProcessor) method. If the property is true, then the wrapped CacheEntryProcessor won\'t be able to be loaded over P2P class loading. If the property is false, then another implementation of StreamTransformer will be returned, that fixes P2P class loading for CacheEntryProcessor, but it will be incompatible with old versions of Ignite")
          public static final String IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE

      Manages backward compatibility of `StreamTransformer.from(CacheEntryProcessor)` method.

      If the property is `true`, then the wrapped `CacheEntryProcessor` won't be able to be loaded over P2P class loading.

      If the property is `false`, then another implementation of `StreamTransformer` will be returned, that fixes P2P class loading for `CacheEntryProcessor`, but it will be incompatible with old versions of Ignite.

      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES

          @Deprecated
           @SystemProperty(value="If enabled then tree-based data structures - TreeMap and TreeSet - will not be wrapped into special holders introduced to overcome serialization issue caused by missing Comparable interface on BinaryObject")
          public static final String IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES

      Deprecated. Should be removed in Apache Ignite 2.0.
      When set to `true` tree-based data structures - `TreeMap` and `TreeSet` - will not be wrapped into special holders introduced to overcome serialization issue caused by missing `Comparable` interface on `BinaryObject`.

      See Also:
        Constant Field Values

    - #### IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT

          @SystemProperty(value="Enables consistent ID to calculate by host name, without port, and you can use only one node for host in cluster")
          public static final String IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT

      When set to `true`, for consistent id will calculate by host name, without port, and you can use only one node for host in cluster.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_CONSISTENT_ID

          @SystemProperty(value="Consistent ID of Ignite node. Value of the system property will overwrite matched property IgniteConfiguration.setConsistentId(Serializable) in configuration",
                          type=java.lang.String.class)
          public static final String IGNITE_OVERRIDE_CONSISTENT_ID

      System property to specify consistent id of Ignite node.

      Value of the system property will overwrite matched property `IgniteConfiguration.setConsistentId(Serializable)` in configuration.

      See Also:
        Constant Field Values

    - #### IGNITE_IGNORE_LOCAL_HOST_NAME

          @SystemProperty(value="Ignores local address\'s hostname if IGNITE_LOCAL_HOST is defined when resolving local node\'s addresses",
                          defaults="true")
          public static final String IGNITE_IGNORE_LOCAL_HOST_NAME

      System property to ignore reading hostname of the local address.

      If set to `true` and `IGNITE_LOCAL_HOST` is defined then `IgniteUtils.resolveLocalAddresses(java.net.InetAddress)` will not add hostname of local address to the list of node's addresses. Defaults to `true`.

      See Also:
        Constant Field Values

    - #### IGNITE_IO_BALANCE_PERIOD

          @SystemProperty(value="IO balance period in milliseconds",
                          type=java.lang.Long.class,
                          defaults="5000")
          public static final String IGNITE_IO_BALANCE_PERIOD

      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_SORT_OBJECT_FIELDS

          @SystemProperty(value="Enables fields to be written by BinaryMarshaller in sorted order. By default, the natural order is used")
          public static final String IGNITE_BINARY_SORT_OBJECT_FIELDS

      When set to `true` fields are written by BinaryMarshaller in sorted order. Otherwise the natural order is used.

      NOTICE: Should be the default in Apache Ignite 3.0

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_UNALIGNED_ACCESS

          @SystemProperty(value="Whether Ignite can access unaligned memory addresses. Defaults to false, meaning that unaligned access will be performed only on x86 architecture")
          public static final String IGNITE_MEMORY_UNALIGNED_ACCESS

      Whether Ignite can access unaligned memory addresses.

      Defaults to `false`, meaning that unaligned access will be performed only on x86 architecture.

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD

          @SystemProperty(value="When unsafe memory copy if performed below this threshold, Ignite will do it on per-byte basis instead of calling to Unsafe.copyMemory(). 0 disables threshold",
                          type=java.lang.Long.class,
                          defaults="0")
          public static final String IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD

      When unsafe memory copy if performed below this threshold, Ignite will do it on per-byte basis instead of calling to Unsafe.copyMemory().

      Defaults to 0, meaning that threshold is disabled.

      See Also:
        Constant Field Values

    - #### IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI

          @Deprecated
           @SystemProperty(value="If enabled BinaryObject will be unwrapped before passing to IndexingSpi to preserve old behavior query processor with IndexingSpi")
          public static final String IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI

      Deprecated. Should be removed in Apache Ignite 2.0.
      When set to `true` BinaryObject will be unwrapped before passing to IndexingSpi to preserve old behavior query processor with IndexingSpi.

      See Also:
        Constant Field Values

    - #### IGNITE_MAX_INDEX_PAYLOAD_SIZE

          @SystemProperty(value="Maximum payload size in bytes for H2TreeIndex. 0 means that inline index store is disabled",
                          type=java.lang.Integer.class,
                          defaults="64")
          public static final String IGNITE_MAX_INDEX_PAYLOAD_SIZE

      System property to specify maximum payload size in bytes for `H2TreeIndex`.

      Defaults to `0`, meaning that inline index store is disabled.

      See Also:
        Constant Field Values

    - #### IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL

          @Deprecated
           @SystemProperty(value="Time interval for calculating rebalance rate statistics, in milliseconds",
                          type=java.lang.Integer.class,
                          defaults="60000")
          public static final String IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL

      Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Time interval for calculating rebalance rate statistics, in milliseconds. Defaults to 60000.
      See Also:
        Constant Field Values

    - #### IGNITE_TTL_EXPIRE_BATCH_SIZE

          @SystemProperty(value="When cache has entries with expired TTL, each user operation will also remove this amount of expired entries",
                          type=java.lang.Integer.class,
                          defaults="5")
          public static final String IGNITE_TTL_EXPIRE_BATCH_SIZE

      When cache has entries with expired TTL, each user operation will also remove this amount of expired entries. Defaults to `5`.
      See Also:
        Constant Field Values

    - #### IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE

          @SystemProperty(value="Indexing discovery history size. Protects from duplicate messages maintaining the list of IDs of recently arrived discovery messages",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE

      Indexing discovery history size. Protects from duplicate messages maintaining the list of IDs of recently arrived discovery messages.

      Defaults to `1000`.

      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_START_SIZE

          @SystemProperty(value="Cache start size for on-heap maps",
                          type=java.lang.Integer.class,
                          defaults="4096")
          public static final String IGNITE_CACHE_START_SIZE

      Cache start size for on-heap maps. Defaults to 4096.
      See Also:
        Constant Field Values

    - #### IGNITE_START_CACHES_ON_JOIN

          @SystemProperty(value="Enables local start all existing caches on client node start")
          public static final String IGNITE_START_CACHES_ON_JOIN

      See Also:
        Constant Field Values

    - #### IGNITE_PDS_SKIP_CRC

          @SystemProperty(value="Skip CRC calculation flag")
          public static final String IGNITE_PDS_SKIP_CRC

      Skip CRC calculation flag.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY

          @Deprecated
           @SystemProperty(value="PDS partition destroy checkpoint delay",
                          type=java.lang.Integer.class)
          public static final String IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY

      Deprecated.
      WAL rebalance threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_WAL_REBALANCE_THRESHOLD

          @Deprecated
           @SystemProperty(value="WAL rebalance threshold",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_PDS_WAL_REBALANCE_THRESHOLD

      Deprecated. use Distributed MetaStorage property `historical.rebalance.threshold`.
      WAL rebalance threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_PREFER_WAL_REBALANCE

          @SystemProperty(value="Prefer historical rebalance if there\'s enough history regardless off all heuristics. This property is intended for integration or performance tests")
          public static final String IGNITE_PREFER_WAL_REBALANCE

      Prefer historical rebalance if there's enough history regardless off all heuristics. This property is intended for integration or performance tests. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_CHECKPOINT_MAP_SNAPSHOT_THRESHOLD

          @SystemProperty(value="Threshold of the checkpoint quantity since the last earliest checkpoint map snapshot. After this thresold is reached, a snapshot of the earliest checkpoint map will be captured",
                          type=java.lang.Integer.class,
                          defaults="5")
          public static final String IGNITE_CHECKPOINT_MAP_SNAPSHOT_THRESHOLD

      Threshold of the checkpoint quantity since the last earliest checkpoint map snapshot. After this thresold is reached, a snapshot of the earliest checkpoint map will be captured. Default is `CheckpointMarkersStorage.DFLT_IGNITE_CHECKPOINT_MAP_SNAPSHOT_THRESHOLD`.
      See Also:
        Constant Field Values

    - #### IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL

          @SystemProperty(value="Ignite page memory concurrency level",
                          type=java.lang.Integer.class)
          public static final String IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL

      Ignite page memory concurrency level.
      See Also:
        Constant Field Values

    - #### IGNITE_SECURITY_COMPATIBILITY_MODE

          @SystemProperty(value="Enables Ignite to switch to compatibility mode with versions that don\'t support service security permissions. In this case security permissions will be ignored (if they set). Default is false, which means that service security permissions will be respected")
          public static final String IGNITE_SECURITY_COMPATIBILITY_MODE

      When set to `true`, Ignite switches to compatibility mode with versions that don't support service security permissions. In this case security permissions will be ignored (if they set).

      Default is `false`, which means that service security permissions will be respected.

      See Also:
        Constant Field Values

    - #### IGNITE_CLUSTER_NAME

          @SystemProperty(value="Ignite cluster name. Defaults to utility cache deployment ID",
                          type=java.lang.String.class)
          public static final String IGNITE_CLUSTER_NAME

      Ignite cluster name.

      Defaults to utility cache deployment ID..

      See Also:
        Constant Field Values

    - #### IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT

          @SystemProperty(value="When client cache is started or closed special discovery message is sent to notify cluster (for example this is needed for ClusterGroup.forCacheNodes(String) API. This timeout in milliseconds specifies how long to wait after client cache start/close before sending this message. If during this timeout another client cache changed, these events are combined into single message",
                          type=java.lang.Long.class,
                          defaults="10000")
          public static final String IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT

      When client cache is started or closed special discovery message is sent to notify cluster (for example this is needed for `ClusterGroup.forCacheNodes(String)` API. This timeout specifies how long to wait after client cache start/close before sending this message. If during this timeout another client cache changed, these events are combined into single message.

      Default is 10 seconds.

      See Also:
        Constant Field Values

    - #### IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD

          @SystemProperty(value="If a partition release future completion time during an exchange exceeds this threshold (in milliseconds), the contents of the future will be dumped to the log on exchange. 0 means disabled",
                          type=java.lang.Integer.class,
                          defaults="0")
          public static final String IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD

      If a partition release future completion time during an exchange exceeds this threshold, the contents of the future will be dumped to the log on exchange. Default is `0` (disabled).
      See Also:
        Constant Field Values

    - #### IGNITE_PARTITION_RELEASE_FUTURE_WARN_LIMIT

          @SystemProperty(value="This property specifies the maximum number of futures that are included into diagnostic message",
                          type=java.lang.Integer.class,
                          defaults="10")
          public static final String IGNITE_PARTITION_RELEASE_FUTURE_WARN_LIMIT

      This property specifies the maximum number of futures that are included into diagnostic message. The default value is `10`.
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_FORCIBLE_NODE_KILL

          @SystemProperty(value="Enables node to forcible fail a remote node when it fails to establish a communication connection")
          public static final String IGNITE_ENABLE_FORCIBLE_NODE_KILL

      If this property is set, a node will forcible fail a remote node when it fails to establish a communication connection.
      See Also:
        Constant Field Values

    - #### IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD

          @SystemProperty(value="Tasks stealing will be started if tasks queue size per data-streamer thread exceeds this threshold",
                          type=java.lang.Integer.class,
                          defaults="4")
          public static final String IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD

      Tasks stealing will be started if tasks queue size per data-streamer thread exceeds this threshold.

      Default value is `4`.

      See Also:
        Constant Field Values

    - #### IGNITE_USE_ASYNC_FILE_IO_FACTORY

          @SystemProperty(value="If this property is set, then Ignite will use Async File IO factory by default",
                          defaults="true")
          public static final String IGNITE_USE_ASYNC_FILE_IO_FACTORY

      If this property is set, then Ignite will use Async File IO factory by default.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_THROTTLE_CAPACITY

          @SystemProperty(value="Max amount of remembered errors for GridLogThrottle",
                          type=java.lang.Integer.class,
                          defaults="128")
          public static final String IGNITE_LOG_THROTTLE_CAPACITY

      Max amount of remembered errors for `GridLogThrottle`.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED

          @SystemProperty(value="Checkpoint throttling policy",
                          type=java.lang.String.class)
          public static final String IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED

      If this property is set, `DataStorageConfiguration.setWriteThrottlingEnabled(boolean)` will be overridden to `true` regardless the initial value in the configuration.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_SERIALIZER_VERSION

          @SystemProperty(value="WAL serializer version",
                          type=java.lang.Integer.class,
                          defaults="2")
          public static final String IGNITE_WAL_SERIALIZER_VERSION

      Property for setup WAL serializer version.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_SEGMENT_SYNC_TIMEOUT

          @SystemProperty(value="WAL segment sync timeout in milliseconds",
                          type=java.lang.Long.class,
                          defaults="500")
          public static final String IGNITE_WAL_SEGMENT_SYNC_TIMEOUT

      Property for setup Ignite WAL segment sync timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_USE_LEGACY_NODE_COMPARATOR

          @SystemProperty(value="Enables usage of legacy node comparator (based on node order)")
          public static final String IGNITE_USE_LEGACY_NODE_COMPARATOR

      If the property is set Ignite will use legacy node comparator (based on node order) inste Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_MMAP

          @SystemProperty(value="Enables usage of the mapped byte buffer",
                          defaults="true")
          public static final String IGNITE_WAL_MMAP

      Property that indicates should be mapped byte buffer used or not. Possible values: `true` and `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID

          @SystemProperty(value="When set to true, Data store folders are generated only by consistent id, and no consistent ID will be set based on existing data store folders. This option also enables compatible folder generation mode as it was before 2.3")
          public static final String IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID

      When set to `true`, Data store folders are generated only by consistent id, and no consistent ID will be set based on existing data store folders. This option also enables compatible folder generation mode as it was before 2.3.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_DISABLED

          @SystemProperty(value="Disables JVM pause detector")
          public static final String IGNITE_JVM_PAUSE_DETECTOR_DISABLED

      Ignite JVM pause detector disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_PRECISION

          @SystemProperty(value="JVM pause detector precision",
                          type=java.lang.Integer.class,
                          defaults="50")
          public static final String IGNITE_JVM_PAUSE_DETECTOR_PRECISION

      Ignite JVM pause detector precision.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD

          @SystemProperty(value="JVM pause detector threshold",
                          type=java.lang.Integer.class,
                          defaults="500")
          public static final String IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD

      Ignite JVM pause detector threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT

          @SystemProperty(value="JVM pause detector last events count",
                          type=java.lang.Integer.class,
                          defaults="20")
          public static final String IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT

      Ignite JVM pause detector last events count.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_DEBUG_LOG_ON_RECOVERY

          @Deprecated
           @SystemProperty(value="Enables WAL debug log on recovery")
          public static final String IGNITE_WAL_DEBUG_LOG_ON_RECOVERY

      Deprecated. Not used.
      Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE

          @SystemProperty(value="Number of checkpoint history entries held in memory",
                          type=java.lang.Integer.class,
                          defaults="100")
          public static final String IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE

      Number of checkpoint history entries held in memory.
      See Also:
        Constant Field Values

    - #### IGNITE_GRID_CLIENT_LOG_ENABLED

          @SystemProperty(value="Enables logging in GridClient")
          public static final String IGNITE_GRID_CLIENT_LOG_ENABLED

      If this property is set to `true` enable logging in `GridClient`.
      See Also:
        Constant Field Values

    - #### IGNITE_DIRECT_IO_ENABLED

          @SystemProperty(value="Enables direct IO. Direct IO enabled only if JAR file with corresponding feature is available in classpath and OS and filesystem settings allows to enable this mode",
                          defaults="true")
          public static final String IGNITE_DIRECT_IO_ENABLED

      When set to `true`, direct IO may be enabled. Direct IO enabled only if JAR file with corresponding feature is available in classpath and OS and filesystem settings allows to enable this mode. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEV_ONLY_LOGGING_DISABLED

          @SystemProperty(value="Enables development environments warnings")
          public static final String IGNITE_DEV_ONLY_LOGGING_DISABLED

      When set to `true`, warnings that are intended for development environments and not for production (such as coding mistakes in code using Ignite) will not be logged.
      See Also:
        Constant Field Values

    - #### IGNITE_DELAYED_REPLACED_PAGE_WRITE

          @SystemProperty(value="When set to true (default), pages are written to page store without holding segment lock (with delay). Because other thread may require exactly the same page to be loaded from store, reads are protected by locking",
                          defaults="true")
          public static final String IGNITE_DELAYED_REPLACED_PAGE_WRITE

      When set to `true` (default), pages are written to page store without holding segment lock (with delay). Because other thread may require exactly the same page to be loaded from store, reads are protected by locking.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER

          @SystemProperty(value="When set to true, WAL implementation with dedicated worker will be used even in FSYNC mode")
          public static final String IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER

      When set to `true`, WAL implementation with dedicated worker will be used even in FSYNC mode. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_ONHEAP_CACHE

          @SystemProperty(value="When set to true, on-heap cache cannot be enabled - see CacheConfiguration.setOnheapCacheEnabled(boolean)")
          public static final String IGNITE_DISABLE_ONHEAP_CACHE

      When set to `true`, on-heap cache cannot be enabled - see `CacheConfiguration.setOnheapCacheEnabled(boolean)`. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP

          @SystemProperty(value="When set to false, loaded pages implementation is switched to previous version of implementation, FullPageIdTable. True value enables \'Robin Hood hashing: backward shift deletion\'",
                          defaults="true")
          public static final String IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP

      When set to `false`, loaded pages implementation is switched to previous version of implementation, FullPageIdTable. `True` value enables 'Robin Hood hashing: backward shift deletion'. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE

          @SystemProperty(value="Percentage of archive size for checkpoint trigger",
                          type=java.lang.Double.class,
                          defaults="0.25")
          public static final String IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE

      Property for setup percentage of archive size for checkpoint trigger. Default value is 0.25
      See Also:
        Constant Field Values

    - #### IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE

          @SystemProperty(value="Property for setup percentage of WAL archive size to calculate threshold since which removing of old archive should be started",
                          type=java.lang.Double.class)
          public static final String IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE

      Deprecated. Use `DataStorageConfiguration.setMinWalArchiveSize(long)`.
      Property for setup percentage of WAL archive size to calculate threshold since which removing of old archive should be started.
      See Also:
        Constant Field Values

    - #### IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT

          @SystemProperty(value="Threshold time (in millis) to print warning to log if waiting for next wal segment took longer than the threshold",
                          type=java.lang.Long.class,
                          defaults="1000 milliseconds")
          public static final String IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT

      Threshold time (in millis) to print warning to log if waiting for next wal segment took longer than the threshold. Default value is 1000 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT

          @SystemProperty(value="Count of WAL compressor worker threads",
                          type=java.lang.Integer.class,
                          defaults="4")
          public static final String IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT

      Count of WAL compressor worker threads. Default value is 4.
      See Also:
        Constant Field Values

    - #### IGNITE_READ_LOAD_BALANCING

          @SystemProperty(value="Enables read load balancing, that means \'get\' requests will be distributed between primary and backup nodes if it is possible and CacheConfiguration.isReadFromBackup() is true. ",
                          defaults="true")
          public static final String IGNITE_READ_LOAD_BALANCING

      Whenever read load balancing is enabled, that means 'get' requests will be distributed between primary and backup nodes if it is possible and `CacheConfiguration.isReadFromBackup()` is `true`. Default is `true`.
      See Also:
        `CacheConfiguration.isReadFromBackup()`, Constant Field Values

    - #### IGNITE_BPLUS_TREE_LOCK_RETRIES

          @SystemProperty(value="Number of repetitions to capture a lock in the B+Tree",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_BPLUS_TREE_LOCK_RETRIES

      Number of repetitions to capture a lock in the B+Tree.
      See Also:
        Constant Field Values

    - #### IGNITE_BPLUS_TREE_DISABLE_METRICS

          @SystemProperty(value="Disables secondary indexes B+Tree metrics",
                          defaults="false")
          public static final String IGNITE_BPLUS_TREE_DISABLE_METRICS

      Disables secondary indexes B+Tree metrics.
      See Also:
        Constant Field Values

    - #### IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE

          @SystemProperty(value="Amount of memory reserved in the heap at node start, which can be dropped to increase the chances of success when handling OutOfMemoryError",
                          type=java.lang.Integer.class,
                          defaults="65536")
          public static final String IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE

      Amount of memory reserved in the heap at node start, which can be dropped to increase the chances of success when handling OutOfMemoryError. Default is `64kb`.
      See Also:
        Constant Field Values

    - #### IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD

          @SystemProperty(value="The threshold of uneven distribution above which partition distribution will be logged",
                          type=java.lang.Float.class,
                          defaults="50.0")
          public static final String IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD

      The threshold of uneven distribution above which partition distribution will be logged. The default is '50', that means: warn about nodes with 50+% difference.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_WAL_DURING_REBALANCING

          @SystemProperty(value="When set to false, WAL will not be automatically disabled during rebalancing if there is no partition in OWNING state",
                          defaults="true")
          public static final String IGNITE_DISABLE_WAL_DURING_REBALANCING

      When set to `false`, WAL will not be automatically disabled during rebalancing if there is no partition in OWNING state. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION

          @SystemProperty(value="When property is set false each next exchange will try to compare with previous. If last rebalance is equivalent with new possible one, new rebalance does not trigger. Set the property true and each exchange will try to trigger new rebalance")
          public static final String IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION

      When property is set `false` each next exchange will try to compare with previous. If last rebalance is equivalent with new possible one, new rebalance does not trigger. Set the property `true` and each exchange will try to trigger new rebalance. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT

          @SystemProperty(value="Timeout for TCP client recovery descriptor reservation in milliseconds",
                          type=java.lang.Long.class,
                          defaults="5000")
          public static final String IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT

      Sets timeout for TCP client recovery descriptor reservation.
      See Also:
        Constant Field Values

    - #### IGNITE_SKIP_PARTITION_SIZE_VALIDATION

          @SystemProperty(value="Enables Ignite to skip partitions sizes check on partition validation after rebalance has finished. Partitions sizes may differs on nodes when Expiry Policy is in use and it is ok due to lazy entry eviction mechanics. There is no need to disable partition size validation either in normal case or when expiry policy is configured for cache. But it should be disabled manually when policy is used on per entry basis to hint Ignite to skip this check")
          public static final String IGNITE_SKIP_PARTITION_SIZE_VALIDATION

      When set to `true`, Ignite will skip partitions sizes check on partition validation after rebalance has finished. Partitions sizes may differs on nodes when Expiry Policy is in use and it is ok due to lazy entry eviction mechanics. There is no need to disable partition size validation either in normal case or when expiry policy is configured for cache. But it should be disabled manually when policy is used on per entry basis to hint Ignite to skip this check. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_THREADS_ON_FAILURE

          @SystemProperty(value="Enables threads dumping on critical node failure")
          public static final String IGNITE_DUMP_THREADS_ON_FAILURE

      Enables threads dumping on critical node failure. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT

          @SystemProperty(value="Throttling time out for thread dump generation during failure handling in milliseconds. Default is failure detection timeout. 0 or negative value - throttling is disabled",
                          type=java.lang.Long.class)
          public static final String IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT

      Throttling time out for thread dump generation during failure handling. Default is failure detection timeout. `0` or negative value - throttling is disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_UNWIND_THROTTLING_TIMEOUT

          @SystemProperty(value="Throttling timeout in milliseconds which avoid excessive PendingTree access on unwind if there is nothing to clean yet",
                          type=java.lang.Long.class,
                          defaults="500")
          public static final String IGNITE_UNWIND_THROTTLING_TIMEOUT

      Throttling timeout in millis which avoid excessive PendingTree access on unwind if there is nothing to clean yet. Default is 500 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_THROTTLE_LOG_THRESHOLD

          @SystemProperty(value="Threshold in seconds for throttling operations logging",
                          type=java.lang.Integer.class,
                          defaults="10")
          public static final String IGNITE_THROTTLE_LOG_THRESHOLD

      Threshold for throttling operations logging.
      See Also:
        Constant Field Values

    - #### IGNITE_EVICTION_PERMITS

          @Deprecated
           @SystemProperty(value="Number of concurrent operation for evict partitions",
                          type=java.lang.Integer.class)
          public static final String IGNITE_EVICTION_PERMITS

      Deprecated. Since version 2.10. Use `IgniteConfiguration.setRebalanceThreadPoolSize(int)` to manage eviction parallelism.
      Number of concurrent operation for evict partitions.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_DML_INSIDE_TRANSACTION

          @SystemProperty(value="When set to true, Ignite will allow executing DML operation (MERGE|INSERT|UPDATE|DELETE) within transactions for non MVCC mode")
          public static final String IGNITE_ALLOW_DML_INSIDE_TRANSACTION

      When set to `true`, Ignite will allow execute DML operation (MERGE|INSERT|UPDATE|DELETE) within transaction for non MVCC mode. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT

          @SystemProperty(value="Timeout between ZooKeeper client retries in milliseconds",
                          type=java.lang.Long.class,
                          defaults="2 seconds")
          public static final String IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT

      Timeout between ZooKeeper client retries, default 2s.
      See Also:
        Constant Field Values

    - #### IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT

          @SystemProperty(value="Number of attempts to reconnect to ZooKeeper",
                          type=java.lang.Integer.class,
                          defaults="10")
          public static final String IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT

      Number of attempts to reconnect to ZooKeeper.
      See Also:
        Constant Field Values

    - #### IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD

          @SystemProperty(value="Maximum number for cached MVCC transaction updates. This caching is used for continuous query with MVCC caches",
                          type=java.lang.Integer.class,
                          defaults="20000")
          public static final String IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD

      Maximum number for cached MVCC transaction updates. This caching is used for continuous query with MVCC caches.
      See Also:
        Constant Field Values

    - #### IGNITE_REUSE_MEMORY_ON_DEACTIVATE

          @SystemProperty(value="Try reuse memory on deactivation")
          public static final String IGNITE_REUSE_MEMORY_ON_DEACTIVATE

      Try reuse memory on deactivation. Useful in case of huge page memory region size.
      See Also:
        Constant Field Values

    - #### IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT

          @SystemProperty(value="Maximum inactivity period for system worker in milliseconds. When this value is exceeded, worker is considered blocked with consequent critical failure handler invocation",
                          type=java.lang.Long.class)
          public static final String IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT

      Maximum inactivity period for system worker in milliseconds. When this value is exceeded, worker is considered blocked with consequent critical failure handler invocation.
      See Also:
        Constant Field Values

    - #### IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT

          @SystemProperty(value="Timeout for checkpoint read lock acquisition in milliseconds",
                          type=java.lang.Long.class)
          public static final String IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT

      Timeout for checkpoint read lock acquisition in milliseconds.
      See Also:
        Constant Field Values

    - #### IGNITE_WAIT_SCHEMA_UPDATE

          @SystemProperty(value="Timeout for waiting schema update if schema was not found for last accepted version in milliseconds",
                          type=java.lang.Long.class,
                          defaults="30000")
          public static final String IGNITE_WAIT_SCHEMA_UPDATE

      Timeout for waiting schema update if schema was not found for last accepted version.
      See Also:
        Constant Field Values

    - #### IGNITE_REBALANCE_THROTTLE_OVERRIDE

          @Deprecated
           @SystemProperty(value="Overrides CacheConfiguration.getRebalanceThrottle configuration property for all caches in milliseconds. 0 by default, which means that override is disabled",
                          type=java.lang.Long.class,
                          defaults="0")
          public static final String IGNITE_REBALANCE_THROTTLE_OVERRIDE

      Deprecated. Use `IgniteConfiguration.getRebalanceThrottle()` instead.
      System property to override `CacheConfiguration.getRebalanceThrottle()` configuration property for all caches. `0` by default, which means that override is disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_START_CACHES_IN_PARALLEL

          @SystemProperty(value="Allows to start multiple caches in parallel",
                          defaults="true")
          public static final String IGNITE_ALLOW_START_CACHES_IN_PARALLEL

      Enables start caches in parallel. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_RECOVERY_VERBOSE_LOGGING

          @SystemProperty(value="Allows to log additional information about all restored partitions after binary and logical recovery phases")
          public static final String IGNITE_RECOVERY_VERBOSE_LOGGING

      Allows to log additional information about all restored partitions after binary and logical recovery phases. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT

          @SystemProperty(value="Disables cache interceptor triggering in case of conflicts")
          public static final String IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT

      Disables cache interceptor triggering in case of conflicts. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFAULT_DISK_PAGE_COMPRESSION

          @SystemProperty(value="Disk page compression - CacheConfiguration#setDiskPageCompression",
                          type=DiskPageCompression.class)
          public static final String IGNITE_DEFAULT_DISK_PAGE_COMPRESSION

      Sets default `disk page compression`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE

          @SystemProperty(value="Storage page size - DataStorageConfiguration#setPageSize",
                          type=java.lang.Integer.class)
          public static final String IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE

      Sets default `storage page size`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE

          @SystemProperty(value="When set to true, cache metrics are not included into the discovery metrics update message (in this case message contains only cluster metrics). By default cache metrics are included into the message and calculated each time the message is sent. Cache metrics sending can also be turned off by disabling statistics per each cache, but in this case some cache metrics will be unavailable via JMX too")
          public static final String IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE

      When set to `true`, cache metrics are not included into the discovery metrics update message (in this case message contains only cluster metrics). By default cache metrics are included into the message and calculated each time the message is sent.

      Cache metrics sending can also be turned off by disabling statistics per each cache, but in this case some cache metrics will be unavailable via JMX too.

      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN

          @SystemProperty(value="Maximum number of different partitions to be extracted from between expression within sql query. In case of limit exceeding all partitions will be used",
                          type=java.lang.Integer.class,
                          defaults="16")
          public static final String IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN

      Maximum number of different partitions to be extracted from between expression within sql query. In case of limit exceeding all partitions will be used.
      See Also:
        Constant Field Values

    - #### IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES

          @SystemProperty(value="Maximum amount of bytes that can be stored in history of DistributedMetaStorage updates",
                          type=java.lang.Long.class,
                          defaults="104857600")
          public static final String IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES

      Maximum amount of bytes that can be stored in history of `DistributedMetaStorage` updates.
      See Also:
        Constant Field Values

    - #### IGNITE_AFFINITY_BACKUPS_THRESHOLD

          @SystemProperty(value="Size threshold to allocate and retain additional HashMap to improve contains() which leads to extra memory consumption",
                          type=java.lang.Integer.class,
                          defaults="5")
          public static final String IGNITE_AFFINITY_BACKUPS_THRESHOLD

      Size threshold to allocate and retain additional HashMap to improve contains() which leads to extra memory consumption.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION

          @SystemProperty(value="Disables memory optimization: BitSets instead of HashSets to store partitions. When number of backups per partitions is > IGNITE_AFFINITY_BACKUPS_THRESHOLD we use HashMap to improve contains() which leads to extra memory consumption, otherwise we use view on the list of cluster nodes to reduce memory consumption on redundant data structures")
          public static final String IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION

      Flag to disable memory optimization: BitSets instead of HashSets to store partitions. When number of backups per partion is > IGNITE_AFFINITY_BACKUPS_THRESHOLD we use HashMap to improve contains() which leads to extra memory consumption, otherwise we use view on the list of cluster nodes to reduce memory consumption on redundant data structures.
      See Also:
        Constant Field Values

    - #### IGNITE_RECOVERY_SEMAPHORE_PERMITS

          @SystemProperty(value="Limit the maximum number of objects in memory during the recovery procedure",
                          type=java.lang.Integer.class)
          public static final String IGNITE_RECOVERY_SEMAPHORE_PERMITS

      Limit the maximum number of objects in memory during the recovery procedure.
      See Also:
        Constant Field Values

    - #### IGNITE_NODE_IDS_HISTORY_SIZE

          @SystemProperty(value="Maximum size of history of server nodes (server node IDs) that ever joined to current topology",
                          type=java.lang.Integer.class,
                          defaults="50")
          public static final String IGNITE_NODE_IDS_HISTORY_SIZE

      Maximum size of history of server nodes (server node IDs) that ever joined to current topology.
      See Also:
        Constant Field Values

    - #### IGNITE_DIAGNOSTIC_WARN_LIMIT

          @SystemProperty(value="Maximum number of diagnostic warning messages per category, when waiting for PME",
                          type=java.lang.Integer.class,
                          defaults="10")
          public static final String IGNITE_DIAGNOSTIC_WARN_LIMIT

      Maximum number of diagnostic warning messages per category, when waiting for PME.
      See Also:
        Constant Field Values

    - #### IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY

          @SystemProperty(value="Enables triggering failure handler for node if unrecoverable partition inconsistency is discovered during partition update counters exchange")
          public static final String IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY

      Flag to enable triggering failure handler for node if unrecoverable partition inconsistency is discovered during partition update counters exchange.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_ALLOW_KEY_VAL_UPDATES

          @SystemProperty(value="Allow use composite _key, _val columns at the INSERT/UPDATE/MERGE statements")
          public static final String IGNITE_SQL_ALLOW_KEY_VAL_UPDATES

      Allow use composite _key, _val columns at the INSERT/UPDATE/MERGE statements.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_FILL_ABSENT_PK_WITH_DEFAULTS

          @SystemProperty(value="Forcibly fills missing columns belonging to the primary key with nulls or default values if those have been specified",
                          defaults="false")
          public static final String IGNITE_SQL_FILL_ABSENT_PK_WITH_DEFAULTS

      Forcibly fills missing columns belonging to the primary key with nulls or default values if those have been specified.
      See Also:
        Constant Field Values

    - #### IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL

          @SystemProperty(value="Interval between logging of time of next auto-adjust in milliseconds",
                          type=java.lang.Long.class,
                          defaults="60000")
          public static final String IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL

      Interval between logging of time of next auto-adjust.
      See Also:
        Constant Field Values

    - #### CHECKPOINT_PARALLEL_SORT_THRESHOLD

          @SystemProperty(value="Starting from this number of dirty pages in checkpoint, array will be sorted with Arrays.parallelSort(Comparable[]) in case of CheckpointWriteOrder.SEQUENTIAL",
                          type=java.lang.Integer.class,
                          defaults="524288")
          public static final String CHECKPOINT_PARALLEL_SORT_THRESHOLD

      Starting from this number of dirty pages in checkpoint, array will be sorted with `Arrays.parallelSort(Comparable[])` in case of `CheckpointWriteOrder.SEQUENTIAL`.
      See Also:
        Constant Field Values

    - #### IGNITE_KEEP_STATIC_CACHE_CONFIGURATION

          @SystemProperty(value="Keep static cache configuration even if stored cache data differs from the static config. When this property is set, static cache configuration will override persisted configuration. DDL operations are not allowed when this system property is set")
          public static final String IGNITE_KEEP_STATIC_CACHE_CONFIGURATION

      Keep static cache configuration even if stored cache data differs from the static config. When this property is set, static cache configuration will override persisted configuration. DDL operations are not allowed when this system property is set.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE

          @SystemProperty(value="Enable backward compatible to use \'IGNITE\' as SQL system schema")
          public static final String IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE

      Enable backward compatible to use 'IGNITE' as SQL system schema.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED

          @SystemProperty(value="Shows if dump requests from local node to near node are allowed, when long running transaction is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread",
                          defaults="true")
          public static final String IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED

      Shows if dump requests from local node to near node are allowed, when long running transaction is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_TYPE

          @SystemProperty(value="Page lock tracker type. -1 - Disable lock tracking. 1 - HEAP_STACK. 2 - HEAP_LOG. 3 - OFF_HEAP_STACK. 4 - OFF_HEAP_LOG",
                          type=java.lang.Integer.class,
                          defaults="2")
          public static final String IGNITE_PAGE_LOCK_TRACKER_TYPE

      Page lock tracker type. -1 - Disable lock tracking. 1 - HEAP_STACK 2 - HEAP_LOG 3 - OFF_HEAP_STACK 4 - OFF_HEAP_LOG Default is 2 - HEAP_LOG.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_CAPACITY

          @SystemProperty(value="Capacity in pages for storing in page lock tracker strucuture",
                          type=java.lang.Integer.class,
                          defaults="512")
          public static final String IGNITE_PAGE_LOCK_TRACKER_CAPACITY

      Capacity in pages for storing in page lock tracker strucuture. Default is 512 pages.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL

          @SystemProperty(value="Page lock tracker thread for checking hangs threads interval",
                          type=java.lang.Integer.class,
                          defaults="60000")
          public static final String IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL

      Page lock tracker thread for checking hangs threads interval. Default is 60_000 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_PAGE_LOCK_ON_FAILURE

          @SystemProperty(value="Enables threads locks dumping on critical node failure",
                          defaults="true")
          public static final String IGNITE_DUMP_PAGE_LOCK_ON_FAILURE

      Enables threads locks dumping on critical node failure. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP

          @SystemProperty(value="Scan the classpath on startup and log all the files containing in it",
                          defaults="true")
          public static final String IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP

      Scan the classpath on startup and log all the files containing in it.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD

          @SystemProperty(value="Threshold timeout for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while acquiring locks, preparing, committing, etc) and user time (time when client node runs some code while holding transaction and not waiting it). Equals 0 if not set. No long transactions are dumped in log if nor this parameter neither IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT is set",
                          type=java.lang.Long.class)
          public static final String IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD

      Threshold timeout for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc) and user time (time when client node runs some code while holding transaction and not waiting it). Equals 0 if not set. No long transactions are dumped in log if nor this parameter neither `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is set.
      See Also:
        Constant Field Values

    - #### IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT

          @SystemProperty(value="The coefficient for samples of completed transactions that will be dumped in log. Must be float value between 0.0 and 1.0 inclusive",
                          type=java.lang.Float.class)
          public static final String IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT

      The coefficient for samples of completed transactions that will be dumped in log. Must be float value between 0.0 and 1.0 inclusive. Default value is `0.0`.
      See Also:
        Constant Field Values

    - #### IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT

          @SystemProperty(value="The limit of samples of completed transactions that will be dumped in log per second, if IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT is above 0.0. Must be integer value greater than 0",
                          type=java.lang.Integer.class,
                          defaults="5")
          public static final String IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT

      The limit of samples of completed transactions that will be dumped in log per second, if `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is above `0.0`. Must be integer value greater than `0`. Default value is `5`.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING

          @SystemProperty(value="Disables onheap caching of pages lists (free lists and reuse lists). If persistence is enabled changes to page lists are not stored to page memory immediately, they are cached in onheap buffer and flushes to page memory on a checkpoint. This property allows to disable such onheap caching")
          public static final String IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING

      Disable onheap caching of pages lists (free lists and reuse lists). If persistence is enabled changes to page lists are not stored to page memory immediately, they are cached in onheap buffer and flushes to page memory on a checkpoint. This property allows to disable such onheap caching. Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP

          @SystemProperty(value="The master key name that the node will use during the recovery. If a node was unavailable during a master key change process it won\'t be able to join to cluster with old the master key. Set up this property to re-encrypt cache keys on startup and join to cluster with the valid master key name",
                          type=java.lang.String.class)
          public static final String IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP

      The master key name that the node will use during the recovery.

      If a node was unavailable during a master key change process it won't be able to join to cluster with old the master key. Set up this property to re-encrypt cache keys on startup and join to cluster with the valid master key name.

      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_GRP_STATE_LAZY_STORE

          @SystemProperty(value="Disable group state lazy store. It means that group state won\'t be cached and will be read from wal every time",
                          defaults="false")
          public static final String IGNITE_DISABLE_GRP_STATE_LAZY_STORE

      Disable group state lazy store. It means that group state won't be cached for `CheckpointEntry` and will be read from wal every time. Should be used for test purposes only.
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING

          @SystemProperty(value="Enables extended logging of indexes create/rebuild process. Warning: enabling that option can lead to performance degradation of index creation, rebuilding and node restart")
          public static final String IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING

      Enables extended logging of indexes create/rebuild process. Default `false`.

      Warning: enabling that option can lead to performance degradation of index creation, rebuilding and node restart.
      See Also:
        Constant Field Values

    - #### IGNITE_WAIT_FOR_BACKUPS_ON_SHUTDOWN

          @Deprecated
           @SystemProperty(value="Enables node to wait until all of its data is backed up before shutting down. Please note that it will completely prevent last node in cluster from shutting down if any caches exist that have backups configured")
          public static final String IGNITE_WAIT_FOR_BACKUPS_ON_SHUTDOWN

      Deprecated. Use `ShutdownPolicy` instead.
      When enabled, node will wait until all of its data is backed up before shutting down. Please note that it will completely prevent last node in cluster from shutting down if any caches exist that have backups configured.
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_SUBQUERY_REWRITE_OPTIMIZATION

          @SystemProperty(value="Enables subquery rewriting optimization. If enabled, subquery will be rewritten to JOIN where possible")
          public static final String IGNITE_ENABLE_SUBQUERY_REWRITE_OPTIMIZATION

      Enables subquery rewriting optimization. If enabled, subquery will be rewritten to JOIN where possible. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES

          @SystemProperty(value="Enables setting attribute value of TcpCommunicationSpi#ATTR_HOST_NAMES when value IgniteConfiguration#getLocalHost is ip, for backward compatibility")
          public static final String IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES

      Enables setting attribute value of `ATTR_HOST_NAMES` when value `getLocalHost` is ip, for backward compatibility. By default, `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_TX_COLLISIONS_INTERVAL

          @SystemProperty(value="When above zero, prints tx key collisions once per interval. Each transaction besides OPTIMISTIC SERIALIZABLE capture locks on all enlisted keys, for some reasons per key lock queue may rise. This property sets the interval during which statistics are collected",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_DUMP_TX_COLLISIONS_INTERVAL

      When above zero, prints tx key collisions once per interval. Each transaction besides OPTIMISTIC SERIALIZABLE capture locks on all enlisted keys, for some reasons per key lock queue may rise. This property sets the interval during which statistics are collected. Default is 1000 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_TEST_ENV

          @SystemProperty(value="Set to true only during the junit tests. Can be used for changing behaviour of tightly coupled code pieces during the tests. Use it as a last resort only, prefer another toolchain like DI, mocks and etc. if possible",
                          type=java.lang.Boolean.class)
          public static final String IGNITE_TEST_ENV

      Set to true only during the junit tests. Signals that the cluster is running in a test environment. Can be used for changing behaviour of tightly coupled code pieces during the tests. Use it as a last resort only, prefer another toolchain like DI, mocks and etc. if possible
      See Also:
        Constant Field Values

    - #### IGNITE_DEFRAGMENTATION_REGION_SIZE_PERCENTAGE

          @SystemProperty(value="Defragmentation region size percentage of configured region size. This percentage will be calculated from largest configured region size and then proportionally subtracted from all configured regions",
                          type=java.lang.Integer.class,
                          defaults="60")
          public static final String IGNITE_DEFRAGMENTATION_REGION_SIZE_PERCENTAGE

      Defragmentation region size percentage of configured region size. This percentage will be calculated from largest configured region size and then proportionally subtracted from all configured regions.
      See Also:
        Constant Field Values

    - #### IGNITE_PERF_STAT_FILE_MAX_SIZE

          @SystemProperty(value="Maximum performance statistics file size in bytes. Performance statistics collection is stopped when the file size is exceeded",
                          type=java.lang.Long.class,
                          defaults="34359738368")
          public static final String IGNITE_PERF_STAT_FILE_MAX_SIZE

      Maximum performance statistics file size in bytes. Performance statistics collection is stopped when the file size is exceeded. The default value is `FilePerformanceStatisticsWriter.DFLT_FILE_MAX_SIZE`.
      See Also:
        Constant Field Values

    - #### IGNITE_PERF_STAT_BUFFER_SIZE

          @SystemProperty(value="Performance statistics off heap buffer size in bytes",
                          type=java.lang.Integer.class,
                          defaults="33554432")
          public static final String IGNITE_PERF_STAT_BUFFER_SIZE

      Performance statistics off heap buffer size in bytes. The default value is `FilePerformanceStatisticsWriter.DFLT_BUFFER_SIZE`.
      See Also:
        Constant Field Values

    - #### IGNITE_PERF_STAT_FLUSH_SIZE

          @SystemProperty(value="Minimal performance statistics batch size to be flushed in bytes",
                          type=java.lang.Integer.class,
                          defaults="8388608")
          public static final String IGNITE_PERF_STAT_FLUSH_SIZE

      Minimal performance statistics batch size to be flushed in bytes. The default value is `FilePerformanceStatisticsWriter.DFLT_FLUSH_SIZE`.
      See Also:
        Constant Field Values

    - #### IGNITE_PERF_STAT_CACHED_STRINGS_THRESHOLD

          @SystemProperty(value="Maximum performance statistics cached strings threshold. String caching is stopped when the threshold is exceeded",
                          type=java.lang.Integer.class,
                          defaults="10240")
          public static final String IGNITE_PERF_STAT_CACHED_STRINGS_THRESHOLD

      Maximum performance statistics cached strings threshold. String caching is stopped when the threshold is exceeded. The default value is `FilePerformanceStatisticsWriter.DFLT_CACHED_STRINGS_THRESHOLD`.
      See Also:
        Constant Field Values

    - #### IGNITE_CALCITE_EXEC_IN_BUFFER_SIZE

          @SystemProperty(value="Calcite-based SQL engine. Buffer size (count of rows) for query execution nodes",
                          type=java.lang.Integer.class)
          public static final String IGNITE_CALCITE_EXEC_IN_BUFFER_SIZE

      Calcite-based SQL engine. Buffer size (count of rows) for query execution nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_CALCITE_EXEC_MODIFY_BATCH_SIZE

          @SystemProperty(value="Calcite-based SQL engine. Batch size (count of rows) for cache modify execution nodes",
                          type=java.lang.Integer.class)
          public static final String IGNITE_CALCITE_EXEC_MODIFY_BATCH_SIZE

      Calcite-based SQL engine. Batch size (count of rows) for cache modify execution nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_CALCITE_EXEC_IO_BATCH_SIZE

          @SystemProperty(value="Calcite-based SQL engine. Batch size (count of rows) for outgoing data message",
                          type=java.lang.Integer.class)
          public static final String IGNITE_CALCITE_EXEC_IO_BATCH_SIZE

      Calcite-based SQL engine. Batch size (count of rows) for outgoing data message.
      See Also:
        Constant Field Values

    - #### IGNITE_CALCITE_EXEC_IO_BATCH_CNT

          @SystemProperty(value="Calcite-based SQL engine. Maximum number of pending data messages for each outbox",
                          type=java.lang.Integer.class)
          public static final String IGNITE_CALCITE_EXEC_IO_BATCH_CNT

      Calcite-based SQL engine. Maximum number of pending data messages for each outbox.
      See Also:
        Constant Field Values

    - #### IGNITE_CALCITE_REL_JSON_PRETTY_PRINT

          @SystemProperty(value="Calcite-based SQL engine. Pretty print serialized to JSON plan, when sending it to remote nodes")
          public static final String IGNITE_CALCITE_REL_JSON_PRETTY_PRINT

      Calcite-based SQL engine. Pretty print serialized to JSON plan, when sending it to remote nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_INDEX_REBUILD_BATCH_SIZE

          @SystemProperty(value="Count of rows, being processed within a single checkpoint lock when indexes are rebuilt",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_INDEX_REBUILD_BATCH_SIZE

      Count of rows, being processed within a single checkpoint lock when indexes are rebuilt. The default value is `SchemaIndexCachePartitionWorker.DFLT_IGNITE_INDEX_REBUILD_BATCH_SIZE`.
      See Also:
        Constant Field Values

    - #### IGNITE_THROTTLE_INLINE_SIZE_CALCULATION

          @SystemProperty(value="Throttle frequency for an index row inline size calculation and logging index inline size recommendation",
                          type=java.lang.Integer.class,
                          defaults="1000")
          public static final String IGNITE_THROTTLE_INLINE_SIZE_CALCULATION

      Throttle frequency for an index row inline size calculation and logging index inline size recommendation. The default value is `InlineRecommender.DFLT_THROTTLE_INLINE_SIZE_CALCULATION`.
      See Also:
        Constant Field Values

    - #### IGNITE_USE_BINARY_ARRAYS

          @SystemProperty(value="Flag to enable store of array in binary format and keep component type",
                          defaults="false")
          public static final String IGNITE_USE_BINARY_ARRAYS

      Enables storage of typed arrays. The default value is `BinaryArray.DFLT_IGNITE_USE_BINARY_ARRAYS`.
      See Also:
        Constant Field Values

    - #### IGNITE_SNAPSHOT_SEQUENTIAL_WRITE

          @SystemProperty(value="Flag to indicate that disk writes during snapshot process should be in a sequential manner when possible. This generates extra disk space usage",
                          defaults="true")
          public static final String IGNITE_SNAPSHOT_SEQUENTIAL_WRITE

      Flag to indicate that disk writes during snapshot process should be in a sequential manner when possible. This generates extra disk space usage. The default value is `IgniteSnapshotManager.DFLT_IGNITE_SNAPSHOT_SEQUENTIAL_WRITE`.
      See Also:
        Constant Field Values

    - #### IGNITE_CONFIGURATION_VIEW_PACKAGES

          @SystemProperty(value="Packages list to expose in configuration view")
          public static final String IGNITE_CONFIGURATION_VIEW_PACKAGES

      Comma separated packages list to expose in configuration view. The default value is null.
      See Also:
        `IgniteKernal.CFG_VIEW`, `ConfigurationView`, Constant Field Values

  - ### Method Detail

    - #### getEnum

          public static <E extends Enum<E>> E getEnum(Class<E> enumCls,
                                                      String name)

      Type Parameters:
        `E` - Type of the enum.
      Parameters:
        `enumCls` - Enum type.
        `name` - Name of the system property or environment variable.
      Returns:
        Enum value or `null` if the property is not set.

    - #### getEnum

          public static <E extends Enum<E>> E getEnum(String name,
                                                      E dflt)

      Type Parameters:
        `E` - Type of the enum.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value if property is not set.
      Returns:
        Enum value or the given default.

    - #### getString

          @Nullable
          public static @Nullable String getString(String name)

      Gets either system property or environment variable with given name.
      Parameters:
        `name` - Name of the system property or environment variable.
      Returns:
        Value of the system property or environment variable. Returns `null` if neither can be found for given name.

    - #### getString

          @Nullable
          public static @Nullable String getString(String name,
                                                             String dflt)

      Gets either system property or environment variable with given name.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Value of the system property or environment variable. Returns `null` if neither can be found for given name.

    - #### getBoolean

          public static boolean getBoolean(String name)

      Gets either system property or environment variable with given name. The result is transformed to `boolean` using `Boolean.valueOf()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
      Returns:
        Boolean value of the system property or environment variable. Returns `False` in case neither system property nor environment variable with given name is found.

    - #### getBoolean

          public static boolean getBoolean(String name,
                                           boolean dflt)

      Gets either system property or environment variable with given name. The result is transformed to `boolean` using `Boolean.valueOf()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Boolean value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getInteger

          public static int getInteger(String name,
                                       int dflt)

      Gets either system property or environment variable with given name. The result is transformed to `int` using `Integer.parseInt()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getFloat

          public static float getFloat(String name,
                                       float dflt)

      Gets either system property or environment variable with given name. The result is transformed to `float` using `Float.parseFloat()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Float value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getLong

          public static long getLong(String name,
                                     long dflt)

      Gets either system property or environment variable with given name. The result is transformed to `long` using `Long.parseLong()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getDouble

          public static double getDouble(String name,
                                         double dflt)

      Gets either system property or environment variable with given name. The result is transformed to `double` using `Double.parseDouble()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### snapshot

          public static Properties snapshot()

      Gets snapshot of system properties. Snapshot could be used for thread safe iteration over system properties. Non-string properties are removed before return.
      Returns:
        Snapshot of system properties.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023